searchData={"content_type":"text/markdown","items":[{"doc":"API calls for all endpoints tagged `Courier`.","ref":"Ory.Api.Courier.html","title":"Ory.Api.Courier","type":"module"},{"doc":"Get a Message\nGets a specific messages by the given ID.","ref":"Ory.Api.Courier.html#get_courier_message/3","title":"Ory.Api.Courier.get_courier_message/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): MessageID is the ID of the message.\n- `opts` (keyword): Optional parameters","ref":"Ory.Api.Courier.html#get_courier_message/3-parameters","title":"Parameters - Ory.Api.Courier.get_courier_message/3","type":"function"},{"doc":"- `{:ok, Ory.Model.Message.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Courier.html#get_courier_message/3-returns","title":"Returns - Ory.Api.Courier.get_courier_message/3","type":"function"},{"doc":"List Messages\nLists all messages by given status and recipient.","ref":"Ory.Api.Courier.html#list_courier_messages/2","title":"Ory.Api.Courier.list_courier_messages/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:page_size` (integer()): Items per Page  This is the number of items per page to return. For details on pagination please head over to the [pagination documentation](https://www.ory.sh/docs/ecosystem/api-design#pagination).\n  - `:page_token` (String.t): Next Page Token  The next page token. For details on pagination please head over to the [pagination documentation](https://www.ory.sh/docs/ecosystem/api-design#pagination).\n  - `:status` (CourierMessageStatus): Status filters out messages based on status. If no value is provided, it doesn't take effect on filter.\n  - `:recipient` (String.t): Recipient filters out messages based on recipient. If no value is provided, it doesn't take effect on filter.","ref":"Ory.Api.Courier.html#list_courier_messages/2-parameters","title":"Parameters - Ory.Api.Courier.list_courier_messages/2","type":"function"},{"doc":"- `{:ok, [%Message{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Courier.html#list_courier_messages/2-returns","title":"Returns - Ory.Api.Courier.list_courier_messages/2","type":"function"},{"doc":"API calls for all endpoints tagged `Frontend`.","ref":"Ory.Api.Frontend.html","title":"Ory.Api.Frontend","type":"module"},{"doc":"Create Login Flow for Browsers\nThis endpoint initializes a browser-based user login flow. This endpoint will set the appropriate cookies and anti-CSRF measures required for browser-based flows.  If this endpoint is opened as a link in the browser, it will be redirected to `selfservice.flows.login.ui_url` with the flow ID set as the query parameter `?flow=`. If a valid user session exists already, the browser will be redirected to `urls.default_redirect_url` unless the query parameter `?refresh=true` was set.  If this endpoint is called via an AJAX request, the response contains the flow without a redirect. In the case of an error, the `error.id` of the JSON response body can be one of:  `session_already_available`: The user is already signed in. `session_aal1_required`: Multi-factor auth (e.g. 2fa) was requested but the user has no session yet. `security_csrf_violation`: Unable to fetch the flow because a CSRF violation occurred. `security_identity_mismatch`: The requested `?return_to` address is not allowed to be used. Adjust this in the configuration!  The optional query parameter login_challenge is set when using Kratos with Hydra in an OAuth2 flow. See the oauth2_provider.url configuration option.  This endpoint is NOT INTENDED for clients that do not have a browser (Chrome, Firefox, ...) as cookies are needed.  More information can be found at [Ory Kratos User Login](https://www.ory.sh/docs/kratos/self-service/flows/user-login) and [User Registration Documentation](https://www.ory.sh/docs/kratos/self-service/flows/user-registration).","ref":"Ory.Api.Frontend.html#create_browser_login_flow/2","title":"Ory.Api.Frontend.create_browser_login_flow/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:refresh` (boolean()): Refresh a login session  If set to true, this will refresh an existing login session by asking the user to sign in again. This will reset the authenticated_at time of the session.\n  - `:aal` (String.t): Request a Specific AuthenticationMethod Assurance Level  Use this parameter to upgrade an existing session's authenticator assurance level (AAL). This allows you to ask for multi-factor authentication. When an identity sign in using e.g. username+password, the AAL is 1. If you wish to \"upgrade\" the session's security by asking the user to perform TOTP / WebAuth/ ... you would set this to \"aal2\".\n  - `:return_to` (String.t): The URL to return the browser to after the flow was completed.\n  - `:Cookie` (String.t): HTTP Cookies  When using the SDK in a browser app, on the server side you must include the HTTP Cookie Header sent by the client to your server here. This ensures that CSRF and session cookies are respected.\n  - `:login_challenge` (String.t): An optional Hydra login challenge. If present, Kratos will cooperate with Ory Hydra to act as an OAuth2 identity provider.  The value for this parameter comes from `login_challenge` URL Query parameter sent to your application (e.g. `/login?login_challenge=abcde`).\n  - `:organization` (String.t): An optional organization ID that should be used for logging this user in. This parameter is only effective in the Ory Network.\n  - `:via` (String.t): Via should contain the identity's credential the code should be sent to. Only relevant in aal2 flows.  DEPRECATED: This field is deprecated. Please remove it from your requests. The user will now see a choice of MFA credentials to choose from to perform the second factor instead.","ref":"Ory.Api.Frontend.html#create_browser_login_flow/2-parameters","title":"Parameters - Ory.Api.Frontend.create_browser_login_flow/2","type":"function"},{"doc":"- `{:ok, Ory.Model.LoginFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#create_browser_login_flow/2-returns","title":"Returns - Ory.Api.Frontend.create_browser_login_flow/2","type":"function"},{"doc":"Create a Logout URL for Browsers\nThis endpoint initializes a browser-based user logout flow and a URL which can be used to log out the user.  This endpoint is NOT INTENDED for API clients and only works with browsers (Chrome, Firefox, ...). For API clients you can call the `/self-service/logout/api` URL directly with the Ory Session Token.  The URL is only valid for the currently signed in user. If no user is signed in, this endpoint returns a 401 error.  When calling this endpoint from a backend, please ensure to properly forward the HTTP cookies.","ref":"Ory.Api.Frontend.html#create_browser_logout_flow/2","title":"Ory.Api.Frontend.create_browser_logout_flow/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:cookie` (String.t): HTTP Cookies  If you call this endpoint from a backend, please include the original Cookie header in the request.\n  - `:return_to` (String.t): Return to URL  The URL to which the browser should be redirected to after the logout has been performed.","ref":"Ory.Api.Frontend.html#create_browser_logout_flow/2-parameters","title":"Parameters - Ory.Api.Frontend.create_browser_logout_flow/2","type":"function"},{"doc":"- `{:ok, Ory.Model.LogoutFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#create_browser_logout_flow/2-returns","title":"Returns - Ory.Api.Frontend.create_browser_logout_flow/2","type":"function"},{"doc":"Create Recovery Flow for Browsers\nThis endpoint initializes a browser-based account recovery flow. Once initialized, the browser will be redirected to `selfservice.flows.recovery.ui_url` with the flow ID set as the query parameter `?flow=`. If a valid user session exists, the browser is returned to the configured return URL.  If this endpoint is called via an AJAX request, the response contains the recovery flow without any redirects or a 400 bad request error if the user is already authenticated.  This endpoint is NOT INTENDED for clients that do not have a browser (Chrome, Firefox, ...) as cookies are needed.  More information can be found at [Ory Kratos Account Recovery Documentation](../self-service/flows/account-recovery).","ref":"Ory.Api.Frontend.html#create_browser_recovery_flow/2","title":"Ory.Api.Frontend.create_browser_recovery_flow/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:return_to` (String.t): The URL to return the browser to after the flow was completed.","ref":"Ory.Api.Frontend.html#create_browser_recovery_flow/2-parameters","title":"Parameters - Ory.Api.Frontend.create_browser_recovery_flow/2","type":"function"},{"doc":"- `{:ok, Ory.Model.RecoveryFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#create_browser_recovery_flow/2-returns","title":"Returns - Ory.Api.Frontend.create_browser_recovery_flow/2","type":"function"},{"doc":"Create Registration Flow for Browsers\nThis endpoint initializes a browser-based user registration flow. This endpoint will set the appropriate cookies and anti-CSRF measures required for browser-based flows.  If this endpoint is opened as a link in the browser, it will be redirected to `selfservice.flows.registration.ui_url` with the flow ID set as the query parameter `?flow=`. If a valid user session exists already, the browser will be redirected to `urls.default_redirect_url`.  If this endpoint is called via an AJAX request, the response contains the flow without a redirect. In the case of an error, the `error.id` of the JSON response body can be one of:  `session_already_available`: The user is already signed in. `security_csrf_violation`: Unable to fetch the flow because a CSRF violation occurred. `security_identity_mismatch`: The requested `?return_to` address is not allowed to be used. Adjust this in the configuration!  If this endpoint is called via an AJAX request, the response contains the registration flow without a redirect.  This endpoint is NOT INTENDED for clients that do not have a browser (Chrome, Firefox, ...) as cookies are needed.  More information can be found at [Ory Kratos User Login](https://www.ory.sh/docs/kratos/self-service/flows/user-login) and [User Registration Documentation](https://www.ory.sh/docs/kratos/self-service/flows/user-registration).","ref":"Ory.Api.Frontend.html#create_browser_registration_flow/2","title":"Ory.Api.Frontend.create_browser_registration_flow/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:return_to` (String.t): The URL to return the browser to after the flow was completed.\n  - `:login_challenge` (String.t): Ory OAuth 2.0 Login Challenge.  If set will cooperate with Ory OAuth2 and OpenID to act as an OAuth2 server / OpenID Provider.  The value for this parameter comes from `login_challenge` URL Query parameter sent to your application (e.g. `/registration?login_challenge=abcde`).  This feature is compatible with Ory Hydra when not running on the Ory Network.\n  - `:after_verification_return_to` (String.t): The URL to return the browser to after the verification flow was completed.  After the registration flow is completed, the user will be sent a verification email. Upon completing the verification flow, this URL will be used to override the default `selfservice.flows.verification.after.default_redirect_to` value.\n  - `:organization` (String.t): An optional organization ID that should be used to register this user. This parameter is only effective in the Ory Network.","ref":"Ory.Api.Frontend.html#create_browser_registration_flow/2-parameters","title":"Parameters - Ory.Api.Frontend.create_browser_registration_flow/2","type":"function"},{"doc":"- `{:ok, Ory.Model.RegistrationFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#create_browser_registration_flow/2-returns","title":"Returns - Ory.Api.Frontend.create_browser_registration_flow/2","type":"function"},{"doc":"Create Settings Flow for Browsers\nThis endpoint initializes a browser-based user settings flow. Once initialized, the browser will be redirected to `selfservice.flows.settings.ui_url` with the flow ID set as the query parameter `?flow=`. If no valid Ory Kratos Session Cookie is included in the request, a login flow will be initialized.  If this endpoint is opened as a link in the browser, it will be redirected to `selfservice.flows.settings.ui_url` with the flow ID set as the query parameter `?flow=`. If no valid user session was set, the browser will be redirected to the login endpoint.  If this endpoint is called via an AJAX request, the response contains the settings flow without any redirects or a 401 forbidden error if no valid session was set.  Depending on your configuration this endpoint might return a 403 error if the session has a lower Authenticator Assurance Level (AAL) than is possible for the identity. This can happen if the identity has password + webauthn credentials (which would result in AAL2) but the session has only AAL1. If this error occurs, ask the user to sign in with the second factor (happens automatically for server-side browser flows) or change the configuration.  If this endpoint is called via an AJAX request, the response contains the flow without a redirect. In the case of an error, the `error.id` of the JSON response body can be one of:  `security_csrf_violation`: Unable to fetch the flow because a CSRF violation occurred. `session_inactive`: No Ory Session was found - sign in a user first. `security_identity_mismatch`: The requested `?return_to` address is not allowed to be used. Adjust this in the configuration!  This endpoint is NOT INTENDED for clients that do not have a browser (Chrome, Firefox, ...) as cookies are needed.  More information can be found at [Ory Kratos User Settings & Profile Management Documentation](../self-service/flows/user-settings).","ref":"Ory.Api.Frontend.html#create_browser_settings_flow/2","title":"Ory.Api.Frontend.create_browser_settings_flow/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:return_to` (String.t): The URL to return the browser to after the flow was completed.\n  - `:Cookie` (String.t): HTTP Cookies  When using the SDK in a browser app, on the server side you must include the HTTP Cookie Header sent by the client to your server here. This ensures that CSRF and session cookies are respected.","ref":"Ory.Api.Frontend.html#create_browser_settings_flow/2-parameters","title":"Parameters - Ory.Api.Frontend.create_browser_settings_flow/2","type":"function"},{"doc":"- `{:ok, Ory.Model.SettingsFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#create_browser_settings_flow/2-returns","title":"Returns - Ory.Api.Frontend.create_browser_settings_flow/2","type":"function"},{"doc":"Create Verification Flow for Browser Clients\nThis endpoint initializes a browser-based account verification flow. Once initialized, the browser will be redirected to `selfservice.flows.verification.ui_url` with the flow ID set as the query parameter `?flow=`.  If this endpoint is called via an AJAX request, the response contains the recovery flow without any redirects.  This endpoint is NOT INTENDED for API clients and only works with browsers (Chrome, Firefox, ...).  More information can be found at [Ory Kratos Email and Phone Verification Documentation](https://www.ory.sh/docs/kratos/self-service/flows/verify-email-account-activation).","ref":"Ory.Api.Frontend.html#create_browser_verification_flow/2","title":"Ory.Api.Frontend.create_browser_verification_flow/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:return_to` (String.t): The URL to return the browser to after the flow was completed.","ref":"Ory.Api.Frontend.html#create_browser_verification_flow/2-parameters","title":"Parameters - Ory.Api.Frontend.create_browser_verification_flow/2","type":"function"},{"doc":"- `{:ok, Ory.Model.VerificationFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#create_browser_verification_flow/2-returns","title":"Returns - Ory.Api.Frontend.create_browser_verification_flow/2","type":"function"},{"doc":"Get FedCM Parameters\nThis endpoint returns a list of all available FedCM providers. It is only supported on the Ory Network.","ref":"Ory.Api.Frontend.html#create_fedcm_flow/2","title":"Ory.Api.Frontend.create_fedcm_flow/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"Ory.Api.Frontend.html#create_fedcm_flow/2-parameters","title":"Parameters - Ory.Api.Frontend.create_fedcm_flow/2","type":"function"},{"doc":"- `{:ok, Ory.Model.CreateFedcmFlowResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#create_fedcm_flow/2-returns","title":"Returns - Ory.Api.Frontend.create_fedcm_flow/2","type":"function"},{"doc":"Create Login Flow for Native Apps\nThis endpoint initiates a login flow for native apps that do not use a browser, such as mobile devices, smart TVs, and so on.  If a valid provided session cookie or session token is provided, a 400 Bad Request error will be returned unless the URL query parameter `?refresh=true` is set.  To fetch an existing login flow call `/self-service/login/flows?flow= `.  You MUST NOT use this endpoint in client-side (Single Page Apps, ReactJS, AngularJS) nor server-side (Java Server Pages, NodeJS, PHP, Golang, ...) browser applications. Using this endpoint in these applications will make you vulnerable to a variety of CSRF attacks, including CSRF login attacks.  In the case of an error, the `error.id` of the JSON response body can be one of:  `session_already_available`: The user is already signed in. `session_aal1_required`: Multi-factor auth (e.g. 2fa) was requested but the user has no session yet. `security_csrf_violation`: Unable to fetch the flow because a CSRF violation occurred.  This endpoint MUST ONLY be used in scenarios such as native mobile apps (React Native, Objective C, Swift, Java, ...).  More information can be found at [Ory Kratos User Login](https://www.ory.sh/docs/kratos/self-service/flows/user-login) and [User Registration Documentation](https://www.ory.sh/docs/kratos/self-service/flows/user-registration).","ref":"Ory.Api.Frontend.html#create_native_login_flow/2","title":"Ory.Api.Frontend.create_native_login_flow/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:refresh` (boolean()): Refresh a login session  If set to true, this will refresh an existing login session by asking the user to sign in again. This will reset the authenticated_at time of the session.\n  - `:aal` (String.t): Request a Specific AuthenticationMethod Assurance Level  Use this parameter to upgrade an existing session's authenticator assurance level (AAL). This allows you to ask for multi-factor authentication. When an identity sign in using e.g. username+password, the AAL is 1. If you wish to \"upgrade\" the session's security by asking the user to perform TOTP / WebAuth/ ... you would set this to \"aal2\".\n  - `:\"X-Session-Token\"` (String.t): The Session Token of the Identity performing the settings flow.\n  - `:return_session_token_exchange_code` (boolean()): EnableSessionTokenExchangeCode requests the login flow to include a code that can be used to retrieve the session token after the login flow has been completed.\n  - `:return_to` (String.t): The URL to return the browser to after the flow was completed.\n  - `:organization` (String.t): An optional organization ID that should be used for logging this user in. This parameter is only effective in the Ory Network.\n  - `:via` (String.t): Via should contain the identity's credential the code should be sent to. Only relevant in aal2 flows.  DEPRECATED: This field is deprecated. Please remove it from your requests. The user will now see a choice of MFA credentials to choose from to perform the second factor instead.","ref":"Ory.Api.Frontend.html#create_native_login_flow/2-parameters","title":"Parameters - Ory.Api.Frontend.create_native_login_flow/2","type":"function"},{"doc":"- `{:ok, Ory.Model.LoginFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#create_native_login_flow/2-returns","title":"Returns - Ory.Api.Frontend.create_native_login_flow/2","type":"function"},{"doc":"Create Recovery Flow for Native Apps\nThis endpoint initiates a recovery flow for API clients such as mobile devices, smart TVs, and so on.  If a valid provided session cookie or session token is provided, a 400 Bad Request error.  On an existing recovery flow, use the `getRecoveryFlow` API endpoint.  You MUST NOT use this endpoint in client-side (Single Page Apps, ReactJS, AngularJS) nor server-side (Java Server Pages, NodeJS, PHP, Golang, ...) browser applications. Using this endpoint in these applications will make you vulnerable to a variety of CSRF attacks.  This endpoint MUST ONLY be used in scenarios such as native mobile apps (React Native, Objective C, Swift, Java, ...).  More information can be found at [Ory Kratos Account Recovery Documentation](../self-service/flows/account-recovery).","ref":"Ory.Api.Frontend.html#create_native_recovery_flow/2","title":"Ory.Api.Frontend.create_native_recovery_flow/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"Ory.Api.Frontend.html#create_native_recovery_flow/2-parameters","title":"Parameters - Ory.Api.Frontend.create_native_recovery_flow/2","type":"function"},{"doc":"- `{:ok, Ory.Model.RecoveryFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#create_native_recovery_flow/2-returns","title":"Returns - Ory.Api.Frontend.create_native_recovery_flow/2","type":"function"},{"doc":"Create Registration Flow for Native Apps\nThis endpoint initiates a registration flow for API clients such as mobile devices, smart TVs, and so on.  If a valid provided session cookie or session token is provided, a 400 Bad Request error will be returned unless the URL query parameter `?refresh=true` is set.  To fetch an existing registration flow call `/self-service/registration/flows?flow= `.  You MUST NOT use this endpoint in client-side (Single Page Apps, ReactJS, AngularJS) nor server-side (Java Server Pages, NodeJS, PHP, Golang, ...) browser applications. Using this endpoint in these applications will make you vulnerable to a variety of CSRF attacks.  In the case of an error, the `error.id` of the JSON response body can be one of:  `session_already_available`: The user is already signed in. `security_csrf_violation`: Unable to fetch the flow because a CSRF violation occurred.  This endpoint MUST ONLY be used in scenarios such as native mobile apps (React Native, Objective C, Swift, Java, ...).  More information can be found at [Ory Kratos User Login](https://www.ory.sh/docs/kratos/self-service/flows/user-login) and [User Registration Documentation](https://www.ory.sh/docs/kratos/self-service/flows/user-registration).","ref":"Ory.Api.Frontend.html#create_native_registration_flow/2","title":"Ory.Api.Frontend.create_native_registration_flow/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:return_session_token_exchange_code` (boolean()): EnableSessionTokenExchangeCode requests the login flow to include a code that can be used to retrieve the session token after the login flow has been completed.\n  - `:return_to` (String.t): The URL to return the browser to after the flow was completed.\n  - `:organization` (String.t): An optional organization ID that should be used to register this user. This parameter is only effective in the Ory Network.","ref":"Ory.Api.Frontend.html#create_native_registration_flow/2-parameters","title":"Parameters - Ory.Api.Frontend.create_native_registration_flow/2","type":"function"},{"doc":"- `{:ok, Ory.Model.RegistrationFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#create_native_registration_flow/2-returns","title":"Returns - Ory.Api.Frontend.create_native_registration_flow/2","type":"function"},{"doc":"Create Settings Flow for Native Apps\nThis endpoint initiates a settings flow for API clients such as mobile devices, smart TVs, and so on. You must provide a valid Ory Kratos Session Token for this endpoint to respond with HTTP 200 OK.  To fetch an existing settings flow call `/self-service/settings/flows?flow= `.  You MUST NOT use this endpoint in client-side (Single Page Apps, ReactJS, AngularJS) nor server-side (Java Server Pages, NodeJS, PHP, Golang, ...) browser applications. Using this endpoint in these applications will make you vulnerable to a variety of CSRF attacks.  Depending on your configuration this endpoint might return a 403 error if the session has a lower Authenticator Assurance Level (AAL) than is possible for the identity. This can happen if the identity has password + webauthn credentials (which would result in AAL2) but the session has only AAL1. If this error occurs, ask the user to sign in with the second factor or change the configuration.  In the case of an error, the `error.id` of the JSON response body can be one of:  `security_csrf_violation`: Unable to fetch the flow because a CSRF violation occurred. `session_inactive`: No Ory Session was found - sign in a user first.  This endpoint MUST ONLY be used in scenarios such as native mobile apps (React Native, Objective C, Swift, Java, ...).  More information can be found at [Ory Kratos User Settings & Profile Management Documentation](../self-service/flows/user-settings).","ref":"Ory.Api.Frontend.html#create_native_settings_flow/2","title":"Ory.Api.Frontend.create_native_settings_flow/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:\"X-Session-Token\"` (String.t): The Session Token of the Identity performing the settings flow.","ref":"Ory.Api.Frontend.html#create_native_settings_flow/2-parameters","title":"Parameters - Ory.Api.Frontend.create_native_settings_flow/2","type":"function"},{"doc":"- `{:ok, Ory.Model.SettingsFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#create_native_settings_flow/2-returns","title":"Returns - Ory.Api.Frontend.create_native_settings_flow/2","type":"function"},{"doc":"Create Verification Flow for Native Apps\nThis endpoint initiates a verification flow for API clients such as mobile devices, smart TVs, and so on.  To fetch an existing verification flow call `/self-service/verification/flows?flow= `.  You MUST NOT use this endpoint in client-side (Single Page Apps, ReactJS, AngularJS) nor server-side (Java Server Pages, NodeJS, PHP, Golang, ...) browser applications. Using this endpoint in these applications will make you vulnerable to a variety of CSRF attacks.  This endpoint MUST ONLY be used in scenarios such as native mobile apps (React Native, Objective C, Swift, Java, ...).  More information can be found at [Ory Email and Phone Verification Documentation](https://www.ory.sh/docs/kratos/self-service/flows/verify-email-account-activation).","ref":"Ory.Api.Frontend.html#create_native_verification_flow/2","title":"Ory.Api.Frontend.create_native_verification_flow/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:return_to` (String.t): A URL contained in the return_to key of the verification flow. This piece of data has no effect on the actual logic of the flow and is purely informational.","ref":"Ory.Api.Frontend.html#create_native_verification_flow/2-parameters","title":"Parameters - Ory.Api.Frontend.create_native_verification_flow/2","type":"function"},{"doc":"- `{:ok, Ory.Model.VerificationFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#create_native_verification_flow/2-returns","title":"Returns - Ory.Api.Frontend.create_native_verification_flow/2","type":"function"},{"doc":"Disable my other sessions\nCalling this endpoint invalidates all except the current session that belong to the logged-in user. Session data are not deleted.","ref":"Ory.Api.Frontend.html#disable_my_other_sessions/2","title":"Ory.Api.Frontend.disable_my_other_sessions/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:\"X-Session-Token\"` (String.t): Set the Session Token when calling from non-browser clients. A session token has a format of `MP2YWEMeM8MxjkGKpH4dqOQ4Q4DlSPaj`.\n  - `:Cookie` (String.t): Set the Cookie Header. This is especially useful when calling this endpoint from a server-side application. In that scenario you must include the HTTP Cookie Header which originally was included in the request to your server. An example of a session in the HTTP Cookie Header is: `ory_kratos_session=a19iOVAbdzdgl70Rq1QZmrKmcjDtdsviCTZx7m9a9yHIUS8Wa9T7hvqyGTsLHi6Qifn2WUfpAKx9DWp0SJGleIn9vh2YF4A16id93kXFTgIgmwIOvbVAScyrx7yVl6bPZnCx27ec4WQDtaTewC1CpgudeDV2jQQnSaCP6ny3xa8qLH-QUgYqdQuoA_LF1phxgRCUfIrCLQOkolX5nv3ze_f==`.  It is ok if more than one cookie are included here as all other cookies will be ignored.","ref":"Ory.Api.Frontend.html#disable_my_other_sessions/2-parameters","title":"Parameters - Ory.Api.Frontend.disable_my_other_sessions/2","type":"function"},{"doc":"- `{:ok, Ory.Model.DeleteMySessionsCount.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#disable_my_other_sessions/2-returns","title":"Returns - Ory.Api.Frontend.disable_my_other_sessions/2","type":"function"},{"doc":"Disable one of my sessions\nCalling this endpoint invalidates the specified session. The current session cannot be revoked. Session data are not deleted.","ref":"Ory.Api.Frontend.html#disable_my_session/3","title":"Ory.Api.Frontend.disable_my_session/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): ID is the session's ID.\n- `opts` (keyword): Optional parameters\n  - `:\"X-Session-Token\"` (String.t): Set the Session Token when calling from non-browser clients. A session token has a format of `MP2YWEMeM8MxjkGKpH4dqOQ4Q4DlSPaj`.\n  - `:Cookie` (String.t): Set the Cookie Header. This is especially useful when calling this endpoint from a server-side application. In that scenario you must include the HTTP Cookie Header which originally was included in the request to your server. An example of a session in the HTTP Cookie Header is: `ory_kratos_session=a19iOVAbdzdgl70Rq1QZmrKmcjDtdsviCTZx7m9a9yHIUS8Wa9T7hvqyGTsLHi6Qifn2WUfpAKx9DWp0SJGleIn9vh2YF4A16id93kXFTgIgmwIOvbVAScyrx7yVl6bPZnCx27ec4WQDtaTewC1CpgudeDV2jQQnSaCP6ny3xa8qLH-QUgYqdQuoA_LF1phxgRCUfIrCLQOkolX5nv3ze_f==`.  It is ok if more than one cookie are included here as all other cookies will be ignored.","ref":"Ory.Api.Frontend.html#disable_my_session/3-parameters","title":"Parameters - Ory.Api.Frontend.disable_my_session/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#disable_my_session/3-returns","title":"Returns - Ory.Api.Frontend.disable_my_session/3","type":"function"},{"doc":"Exchange Session Token","ref":"Ory.Api.Frontend.html#exchange_session_token/4","title":"Ory.Api.Frontend.exchange_session_token/4","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `init_code` (String.t): The part of the code return when initializing the flow.\n- `return_to_code` (String.t): The part of the code returned by the return_to URL.\n- `opts` (keyword): Optional parameters","ref":"Ory.Api.Frontend.html#exchange_session_token/4-parameters","title":"Parameters - Ory.Api.Frontend.exchange_session_token/4","type":"function"},{"doc":"- `{:ok, Ory.Model.SuccessfulNativeLogin.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#exchange_session_token/4-returns","title":"Returns - Ory.Api.Frontend.exchange_session_token/4","type":"function"},{"doc":"Get User-Flow Errors\nThis endpoint returns the error associated with a user-facing self service errors.  This endpoint supports stub values to help you implement the error UI:  `?id=stub:500` - returns a stub 500 (Internal Server Error) error.  More information can be found at [Ory Kratos User User Facing Error Documentation](https://www.ory.sh/docs/kratos/self-service/flows/user-facing-errors).","ref":"Ory.Api.Frontend.html#get_flow_error/3","title":"Ory.Api.Frontend.get_flow_error/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): Error is the error's ID\n- `opts` (keyword): Optional parameters","ref":"Ory.Api.Frontend.html#get_flow_error/3-parameters","title":"Parameters - Ory.Api.Frontend.get_flow_error/3","type":"function"},{"doc":"- `{:ok, Ory.Model.FlowError.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#get_flow_error/3-returns","title":"Returns - Ory.Api.Frontend.get_flow_error/3","type":"function"},{"doc":"Get Login Flow\nThis endpoint returns a login flow's context with, for example, error details and other information.  Browser flows expect the anti-CSRF cookie to be included in the request's HTTP Cookie Header. For AJAX requests you must ensure that cookies are included in the request or requests will fail.  If you use the browser-flow for server-side apps, the services need to run on a common top-level-domain and you need to forward the incoming HTTP Cookie header to this endpoint:  ```js pseudo-code example router.get('/login', async function (req, res) { const flow = await client.getLoginFlow(req.header('cookie'), req.query['flow'])  res.render('login', flow) }) ```  This request may fail due to several reasons. The `error.id` can be one of:  `session_already_available`: The user is already signed in. `self_service_flow_expired`: The flow is expired and you should request a new one.  More information can be found at [Ory Kratos User Login](https://www.ory.sh/docs/kratos/self-service/flows/user-login) and [User Registration Documentation](https://www.ory.sh/docs/kratos/self-service/flows/user-registration).","ref":"Ory.Api.Frontend.html#get_login_flow/3","title":"Ory.Api.Frontend.get_login_flow/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): The Login Flow ID  The value for this parameter comes from `flow` URL Query parameter sent to your application (e.g. `/login?flow=abcde`).\n- `opts` (keyword): Optional parameters\n  - `:Cookie` (String.t): HTTP Cookies  When using the SDK in a browser app, on the server side you must include the HTTP Cookie Header sent by the client to your server here. This ensures that CSRF and session cookies are respected.","ref":"Ory.Api.Frontend.html#get_login_flow/3-parameters","title":"Parameters - Ory.Api.Frontend.get_login_flow/3","type":"function"},{"doc":"- `{:ok, Ory.Model.LoginFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#get_login_flow/3-returns","title":"Returns - Ory.Api.Frontend.get_login_flow/3","type":"function"},{"doc":"Get Recovery Flow\nThis endpoint returns a recovery flow's context with, for example, error details and other information.  Browser flows expect the anti-CSRF cookie to be included in the request's HTTP Cookie Header. For AJAX requests you must ensure that cookies are included in the request or requests will fail.  If you use the browser-flow for server-side apps, the services need to run on a common top-level-domain and you need to forward the incoming HTTP Cookie header to this endpoint:  ```js pseudo-code example router.get('/recovery', async function (req, res) { const flow = await client.getRecoveryFlow(req.header('Cookie'), req.query['flow'])  res.render('recovery', flow) }) ```  More information can be found at [Ory Kratos Account Recovery Documentation](../self-service/flows/account-recovery).","ref":"Ory.Api.Frontend.html#get_recovery_flow/3","title":"Ory.Api.Frontend.get_recovery_flow/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): The Flow ID  The value for this parameter comes from `request` URL Query parameter sent to your application (e.g. `/recovery?flow=abcde`).\n- `opts` (keyword): Optional parameters\n  - `:Cookie` (String.t): HTTP Cookies  When using the SDK in a browser app, on the server side you must include the HTTP Cookie Header sent by the client to your server here. This ensures that CSRF and session cookies are respected.","ref":"Ory.Api.Frontend.html#get_recovery_flow/3-parameters","title":"Parameters - Ory.Api.Frontend.get_recovery_flow/3","type":"function"},{"doc":"- `{:ok, Ory.Model.RecoveryFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#get_recovery_flow/3-returns","title":"Returns - Ory.Api.Frontend.get_recovery_flow/3","type":"function"},{"doc":"Get Registration Flow\nThis endpoint returns a registration flow's context with, for example, error details and other information.  Browser flows expect the anti-CSRF cookie to be included in the request's HTTP Cookie Header. For AJAX requests you must ensure that cookies are included in the request or requests will fail.  If you use the browser-flow for server-side apps, the services need to run on a common top-level-domain and you need to forward the incoming HTTP Cookie header to this endpoint:  ```js pseudo-code example router.get('/registration', async function (req, res) { const flow = await client.getRegistrationFlow(req.header('cookie'), req.query['flow'])  res.render('registration', flow) }) ```  This request may fail due to several reasons. The `error.id` can be one of:  `session_already_available`: The user is already signed in. `self_service_flow_expired`: The flow is expired and you should request a new one.  More information can be found at [Ory Kratos User Login](https://www.ory.sh/docs/kratos/self-service/flows/user-login) and [User Registration Documentation](https://www.ory.sh/docs/kratos/self-service/flows/user-registration).","ref":"Ory.Api.Frontend.html#get_registration_flow/3","title":"Ory.Api.Frontend.get_registration_flow/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): The Registration Flow ID  The value for this parameter comes from `flow` URL Query parameter sent to your application (e.g. `/registration?flow=abcde`).\n- `opts` (keyword): Optional parameters\n  - `:Cookie` (String.t): HTTP Cookies  When using the SDK in a browser app, on the server side you must include the HTTP Cookie Header sent by the client to your server here. This ensures that CSRF and session cookies are respected.","ref":"Ory.Api.Frontend.html#get_registration_flow/3-parameters","title":"Parameters - Ory.Api.Frontend.get_registration_flow/3","type":"function"},{"doc":"- `{:ok, Ory.Model.RegistrationFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#get_registration_flow/3-returns","title":"Returns - Ory.Api.Frontend.get_registration_flow/3","type":"function"},{"doc":"Get Settings Flow\nWhen accessing this endpoint through Ory Kratos' Public API you must ensure that either the Ory Kratos Session Cookie or the Ory Kratos Session Token are set.  Depending on your configuration this endpoint might return a 403 error if the session has a lower Authenticator Assurance Level (AAL) than is possible for the identity. This can happen if the identity has password + webauthn credentials (which would result in AAL2) but the session has only AAL1. If this error occurs, ask the user to sign in with the second factor or change the configuration.  You can access this endpoint without credentials when using Ory Kratos' Admin API.  If this endpoint is called via an AJAX request, the response contains the flow without a redirect. In the case of an error, the `error.id` of the JSON response body can be one of:  `security_csrf_violation`: Unable to fetch the flow because a CSRF violation occurred. `session_inactive`: No Ory Session was found - sign in a user first. `security_identity_mismatch`: The flow was interrupted with `session_refresh_required` but apparently some other identity logged in instead.  More information can be found at [Ory Kratos User Settings & Profile Management Documentation](../self-service/flows/user-settings).","ref":"Ory.Api.Frontend.html#get_settings_flow/3","title":"Ory.Api.Frontend.get_settings_flow/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): ID is the Settings Flow ID  The value for this parameter comes from `flow` URL Query parameter sent to your application (e.g. `/settings?flow=abcde`).\n- `opts` (keyword): Optional parameters\n  - `:\"X-Session-Token\"` (String.t): The Session Token  When using the SDK in an app without a browser, please include the session token here.\n  - `:Cookie` (String.t): HTTP Cookies  When using the SDK in a browser app, on the server side you must include the HTTP Cookie Header sent by the client to your server here. This ensures that CSRF and session cookies are respected.","ref":"Ory.Api.Frontend.html#get_settings_flow/3-parameters","title":"Parameters - Ory.Api.Frontend.get_settings_flow/3","type":"function"},{"doc":"- `{:ok, Ory.Model.SettingsFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#get_settings_flow/3-returns","title":"Returns - Ory.Api.Frontend.get_settings_flow/3","type":"function"},{"doc":"Get Verification Flow\nThis endpoint returns a verification flow's context with, for example, error details and other information.  Browser flows expect the anti-CSRF cookie to be included in the request's HTTP Cookie Header. For AJAX requests you must ensure that cookies are included in the request or requests will fail.  If you use the browser-flow for server-side apps, the services need to run on a common top-level-domain and you need to forward the incoming HTTP Cookie header to this endpoint:  ```js pseudo-code example router.get('/recovery', async function (req, res) { const flow = await client.getVerificationFlow(req.header('cookie'), req.query['flow'])  res.render('verification', flow) }) ```  More information can be found at [Ory Kratos Email and Phone Verification Documentation](https://www.ory.sh/docs/kratos/self-service/flows/verify-email-account-activation).","ref":"Ory.Api.Frontend.html#get_verification_flow/3","title":"Ory.Api.Frontend.get_verification_flow/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): The Flow ID  The value for this parameter comes from `request` URL Query parameter sent to your application (e.g. `/verification?flow=abcde`).\n- `opts` (keyword): Optional parameters\n  - `:cookie` (String.t): HTTP Cookies  When using the SDK on the server side you must include the HTTP Cookie Header originally sent to your HTTP handler here.","ref":"Ory.Api.Frontend.html#get_verification_flow/3-parameters","title":"Parameters - Ory.Api.Frontend.get_verification_flow/3","type":"function"},{"doc":"- `{:ok, Ory.Model.VerificationFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#get_verification_flow/3-returns","title":"Returns - Ory.Api.Frontend.get_verification_flow/3","type":"function"},{"doc":"Get WebAuthn JavaScript\nThis endpoint provides JavaScript which is needed in order to perform WebAuthn login and registration.  If you are building a JavaScript Browser App (e.g. in ReactJS or AngularJS) you will need to load this file:  ```html   ```  More information can be found at [Ory Kratos User Login](https://www.ory.sh/docs/kratos/self-service/flows/user-login) and [User Registration Documentation](https://www.ory.sh/docs/kratos/self-service/flows/user-registration).","ref":"Ory.Api.Frontend.html#get_web_authn_java_script/2","title":"Ory.Api.Frontend.get_web_authn_java_script/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"Ory.Api.Frontend.html#get_web_authn_java_script/2-parameters","title":"Parameters - Ory.Api.Frontend.get_web_authn_java_script/2","type":"function"},{"doc":"- `{:ok, String.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#get_web_authn_java_script/2-returns","title":"Returns - Ory.Api.Frontend.get_web_authn_java_script/2","type":"function"},{"doc":"Get My Active Sessions\nThis endpoints returns all other active sessions that belong to the logged-in user. The current session can be retrieved by calling the `/sessions/whoami` endpoint.","ref":"Ory.Api.Frontend.html#list_my_sessions/2","title":"Ory.Api.Frontend.list_my_sessions/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:per_page` (integer()): Deprecated Items per Page  DEPRECATED: Please use `page_token` instead. This parameter will be removed in the future.  This is the number of items per page.\n  - `:page` (integer()): Deprecated Pagination Page  DEPRECATED: Please use `page_token` instead. This parameter will be removed in the future.  This value is currently an integer, but it is not sequential. The value is not the page number, but a reference. The next page can be any number and some numbers might return an empty list.  For example, page 2 might not follow after page 1. And even if page 3 and 5 exist, but page 4 might not exist. The first page can be retrieved by omitting this parameter. Following page pointers will be returned in the `Link` header.\n  - `:page_size` (integer()): Page Size  This is the number of items per page to return. For details on pagination please head over to the [pagination documentation](https://www.ory.sh/docs/ecosystem/api-design#pagination).\n  - `:page_token` (String.t): Next Page Token  The next page token. For details on pagination please head over to the [pagination documentation](https://www.ory.sh/docs/ecosystem/api-design#pagination).\n  - `:\"X-Session-Token\"` (String.t): Set the Session Token when calling from non-browser clients. A session token has a format of `MP2YWEMeM8MxjkGKpH4dqOQ4Q4DlSPaj`.\n  - `:Cookie` (String.t): Set the Cookie Header. This is especially useful when calling this endpoint from a server-side application. In that scenario you must include the HTTP Cookie Header which originally was included in the request to your server. An example of a session in the HTTP Cookie Header is: `ory_kratos_session=a19iOVAbdzdgl70Rq1QZmrKmcjDtdsviCTZx7m9a9yHIUS8Wa9T7hvqyGTsLHi6Qifn2WUfpAKx9DWp0SJGleIn9vh2YF4A16id93kXFTgIgmwIOvbVAScyrx7yVl6bPZnCx27ec4WQDtaTewC1CpgudeDV2jQQnSaCP6ny3xa8qLH-QUgYqdQuoA_LF1phxgRCUfIrCLQOkolX5nv3ze_f==`.  It is ok if more than one cookie are included here as all other cookies will be ignored.","ref":"Ory.Api.Frontend.html#list_my_sessions/2-parameters","title":"Parameters - Ory.Api.Frontend.list_my_sessions/2","type":"function"},{"doc":"- `{:ok, [%Session{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#list_my_sessions/2-returns","title":"Returns - Ory.Api.Frontend.list_my_sessions/2","type":"function"},{"doc":"Perform Logout for Native Apps\nUse this endpoint to log out an identity using an Ory Session Token. If the Ory Session Token was successfully revoked, the server returns a 204 No Content response. A 204 No Content response is also sent when the Ory Session Token has been revoked already before.  If the Ory Session Token is malformed or does not exist a 403 Forbidden response will be returned.  This endpoint does not remove any HTTP Cookies - use the Browser-Based Self-Service Logout Flow instead.","ref":"Ory.Api.Frontend.html#perform_native_logout/3","title":"Ory.Api.Frontend.perform_native_logout/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `perform_native_logout_body` (PerformNativeLogoutBody): \n- `opts` (keyword): Optional parameters","ref":"Ory.Api.Frontend.html#perform_native_logout/3-parameters","title":"Parameters - Ory.Api.Frontend.perform_native_logout/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#perform_native_logout/3-returns","title":"Returns - Ory.Api.Frontend.perform_native_logout/3","type":"function"},{"doc":"Check Who the Current HTTP Session Belongs To\nUses the HTTP Headers in the GET request to determine (e.g. by using checking the cookies) who is authenticated. Returns a session object in the body or 401 if the credentials are invalid or no credentials were sent. When the request it successful it adds the user ID to the 'X-Kratos-Authenticated-Identity-Id' header in the response.  If you call this endpoint from a server-side application, you must forward the HTTP Cookie Header to this endpoint:  ```js pseudo-code example router.get('/protected-endpoint', async function (req, res) { const session = await client.toSession(undefined, req.header('cookie'))  console.log(session) }) ```  When calling this endpoint from a non-browser application (e.g. mobile app) you must include the session token:  ```js pseudo-code example ... const session = await client.toSession(\"the-session-token\")  console.log(session) ```  When using a token template, the token is included in the `tokenized` field of the session.  ```js pseudo-code example ... const session = await client.toSession(\"the-session-token\", { tokenize_as: \"example-jwt-template\" })  console.log(session.tokenized) // The JWT ```  Depending on your configuration this endpoint might return a 403 status code if the session has a lower Authenticator Assurance Level (AAL) than is possible for the identity. This can happen if the identity has password + webauthn credentials (which would result in AAL2) but the session has only AAL1. If this error occurs, ask the user to sign in with the second factor or change the configuration.  This endpoint is useful for:  AJAX calls. Remember to send credentials and set up CORS correctly! Reverse proxies and API Gateways Server-side calls - use the `X-Session-Token` header!  This endpoint authenticates users by checking:  if the `Cookie` HTTP header was set containing an Ory Kratos Session Cookie; if the `Authorization: bearer  ` HTTP header was set with a valid Ory Kratos Session Token; if the `X-Session-Token` HTTP header was set with a valid Ory Kratos Session Token.  If none of these headers are set or the cookie or token are invalid, the endpoint returns a HTTP 401 status code.  As explained above, this request may fail due to several reasons. The `error.id` can be one of:  `session_inactive`: No active session was found in the request (e.g. no Ory Session Cookie / Ory Session Token). `session_aal2_required`: An active session was found but it does not fulfil the Authenticator Assurance Level, implying that the session must (e.g.) authenticate the second factor.","ref":"Ory.Api.Frontend.html#to_session/2","title":"Ory.Api.Frontend.to_session/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:\"X-Session-Token\"` (String.t): Set the Session Token when calling from non-browser clients. A session token has a format of `MP2YWEMeM8MxjkGKpH4dqOQ4Q4DlSPaj`.\n  - `:Cookie` (String.t): Set the Cookie Header. This is especially useful when calling this endpoint from a server-side application. In that scenario you must include the HTTP Cookie Header which originally was included in the request to your server. An example of a session in the HTTP Cookie Header is: `ory_kratos_session=a19iOVAbdzdgl70Rq1QZmrKmcjDtdsviCTZx7m9a9yHIUS8Wa9T7hvqyGTsLHi6Qifn2WUfpAKx9DWp0SJGleIn9vh2YF4A16id93kXFTgIgmwIOvbVAScyrx7yVl6bPZnCx27ec4WQDtaTewC1CpgudeDV2jQQnSaCP6ny3xa8qLH-QUgYqdQuoA_LF1phxgRCUfIrCLQOkolX5nv3ze_f==`.  It is ok if more than one cookie are included here as all other cookies will be ignored.\n  - `:tokenize_as` (String.t): Returns the session additionally as a token (such as a JWT)  The value of this parameter has to be a valid, configured Ory Session token template. For more information head over to [the documentation](http://ory.sh/docs/identities/session-to-jwt-cors).","ref":"Ory.Api.Frontend.html#to_session/2-parameters","title":"Parameters - Ory.Api.Frontend.to_session/2","type":"function"},{"doc":"- `{:ok, Ory.Model.Session.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#to_session/2-returns","title":"Returns - Ory.Api.Frontend.to_session/2","type":"function"},{"doc":"Submit a FedCM token\nUse this endpoint to submit a token from a FedCM provider through `navigator.credentials.get` and log the user in. The parameters from `navigator.credentials.get` must have come from `GET self-service/fed-cm/parameters`.","ref":"Ory.Api.Frontend.html#update_fedcm_flow/3","title":"Ory.Api.Frontend.update_fedcm_flow/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `update_fedcm_flow_body` (UpdateFedcmFlowBody): \n- `opts` (keyword): Optional parameters","ref":"Ory.Api.Frontend.html#update_fedcm_flow/3-parameters","title":"Parameters - Ory.Api.Frontend.update_fedcm_flow/3","type":"function"},{"doc":"- `{:ok, Ory.Model.SuccessfulNativeLogin.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#update_fedcm_flow/3-returns","title":"Returns - Ory.Api.Frontend.update_fedcm_flow/3","type":"function"},{"doc":"Submit a Login Flow\nUse this endpoint to complete a login flow. This endpoint behaves differently for API and browser flows.  API flows expect `application/json` to be sent in the body and responds with HTTP 200 and a application/json body with the session token on success; HTTP 410 if the original flow expired with the appropriate error messages set and optionally a `use_flow_id` parameter in the body; HTTP 400 on form validation errors.  Browser flows expect a Content-Type of `application/x-www-form-urlencoded` or `application/json` to be sent in the body and respond with a HTTP 303 redirect to the post/after login URL or the `return_to` value if it was set and if the login succeeded; a HTTP 303 redirect to the login UI URL with the flow ID containing the validation errors otherwise.  Browser flows with an accept header of `application/json` will not redirect but instead respond with HTTP 200 and a application/json body with the signed in identity and a `Set-Cookie` header on success; HTTP 303 redirect to a fresh login flow if the original flow expired with the appropriate error messages set; HTTP 400 on form validation errors.  If this endpoint is called with `Accept: application/json` in the header, the response contains the flow without a redirect. In the case of an error, the `error.id` of the JSON response body can be one of:  `session_already_available`: The user is already signed in. `security_csrf_violation`: Unable to fetch the flow because a CSRF violation occurred. `security_identity_mismatch`: The requested `?return_to` address is not allowed to be used. Adjust this in the configuration! `browser_location_change_required`: Usually sent when an AJAX request indicates that the browser needs to open a specific URL. Most likely used in Social Sign In flows.  More information can be found at [Ory Kratos User Login](https://www.ory.sh/docs/kratos/self-service/flows/user-login) and [User Registration Documentation](https://www.ory.sh/docs/kratos/self-service/flows/user-registration).","ref":"Ory.Api.Frontend.html#update_login_flow/4","title":"Ory.Api.Frontend.update_login_flow/4","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `flow` (String.t): The Login Flow ID  The value for this parameter comes from `flow` URL Query parameter sent to your application (e.g. `/login?flow=abcde`).\n- `update_login_flow_body` (UpdateLoginFlowBody): \n- `opts` (keyword): Optional parameters\n  - `:\"X-Session-Token\"` (String.t): The Session Token of the Identity performing the settings flow.\n  - `:Cookie` (String.t): HTTP Cookies  When using the SDK in a browser app, on the server side you must include the HTTP Cookie Header sent by the client to your server here. This ensures that CSRF and session cookies are respected.","ref":"Ory.Api.Frontend.html#update_login_flow/4-parameters","title":"Parameters - Ory.Api.Frontend.update_login_flow/4","type":"function"},{"doc":"- `{:ok, Ory.Model.SuccessfulNativeLogin.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#update_login_flow/4-returns","title":"Returns - Ory.Api.Frontend.update_login_flow/4","type":"function"},{"doc":"Update Logout Flow\nThis endpoint logs out an identity in a self-service manner.  If the `Accept` HTTP header is not set to `application/json`, the browser will be redirected (HTTP 303 See Other) to the `return_to` parameter of the initial request or fall back to `urls.default_return_to`.  If the `Accept` HTTP header is set to `application/json`, a 204 No Content response will be sent on successful logout instead.  This endpoint is NOT INTENDED for API clients and only works with browsers (Chrome, Firefox, ...). For API clients you can call the `/self-service/logout/api` URL directly with the Ory Session Token.  More information can be found at [Ory Kratos User Logout Documentation](https://www.ory.sh/docs/next/kratos/self-service/flows/user-logout).","ref":"Ory.Api.Frontend.html#update_logout_flow/2","title":"Ory.Api.Frontend.update_logout_flow/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:token` (String.t): A Valid Logout Token  If you do not have a logout token because you only have a session cookie, call `/self-service/logout/browser` to generate a URL for this endpoint.\n  - `:return_to` (String.t): The URL to return to after the logout was completed.\n  - `:Cookie` (String.t): HTTP Cookies  When using the SDK in a browser app, on the server side you must include the HTTP Cookie Header sent by the client to your server here. This ensures that CSRF and session cookies are respected.","ref":"Ory.Api.Frontend.html#update_logout_flow/2-parameters","title":"Parameters - Ory.Api.Frontend.update_logout_flow/2","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#update_logout_flow/2-returns","title":"Returns - Ory.Api.Frontend.update_logout_flow/2","type":"function"},{"doc":"Update Recovery Flow\nUse this endpoint to update a recovery flow. This endpoint behaves differently for API and browser flows and has several states:  `choose_method` expects `flow` (in the URL query) and `email` (in the body) to be sent and works with API- and Browser-initiated flows. For API clients and Browser clients with HTTP Header `Accept: application/json` it either returns a HTTP 200 OK when the form is valid and HTTP 400 OK when the form is invalid. and a HTTP 303 See Other redirect with a fresh recovery flow if the flow was otherwise invalid (e.g. expired). For Browser clients without HTTP Header `Accept` or with `Accept: text/*` it returns a HTTP 303 See Other redirect to the Recovery UI URL with the Recovery Flow ID appended. `sent_email` is the success state after `choose_method` for the `link` method and allows the user to request another recovery email. It works for both API and Browser-initiated flows and returns the same responses as the flow in `choose_method` state. `passed_challenge` expects a `token` to be sent in the URL query and given the nature of the flow (\"sending a recovery link\") does not have any API capabilities. The server responds with a HTTP 303 See Other redirect either to the Settings UI URL (if the link was valid) and instructs the user to update their password, or a redirect to the Recover UI URL with a new Recovery Flow ID which contains an error message that the recovery link was invalid.  More information can be found at [Ory Kratos Account Recovery Documentation](../self-service/flows/account-recovery).","ref":"Ory.Api.Frontend.html#update_recovery_flow/4","title":"Ory.Api.Frontend.update_recovery_flow/4","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `flow` (String.t): The Recovery Flow ID  The value for this parameter comes from `flow` URL Query parameter sent to your application (e.g. `/recovery?flow=abcde`).\n- `update_recovery_flow_body` (UpdateRecoveryFlowBody): \n- `opts` (keyword): Optional parameters\n  - `:token` (String.t): Recovery Token  The recovery token which completes the recovery request. If the token is invalid (e.g. expired) an error will be shown to the end-user.  This parameter is usually set in a link and not used by any direct API call.\n  - `:Cookie` (String.t): HTTP Cookies  When using the SDK in a browser app, on the server side you must include the HTTP Cookie Header sent by the client to your server here. This ensures that CSRF and session cookies are respected.","ref":"Ory.Api.Frontend.html#update_recovery_flow/4-parameters","title":"Parameters - Ory.Api.Frontend.update_recovery_flow/4","type":"function"},{"doc":"- `{:ok, Ory.Model.RecoveryFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#update_recovery_flow/4-returns","title":"Returns - Ory.Api.Frontend.update_recovery_flow/4","type":"function"},{"doc":"Update Registration Flow\nUse this endpoint to complete a registration flow by sending an identity's traits and password. This endpoint behaves differently for API and browser flows.  API flows expect `application/json` to be sent in the body and respond with HTTP 200 and a application/json body with the created identity success - if the session hook is configured the `session` and `session_token` will also be included; HTTP 410 if the original flow expired with the appropriate error messages set and optionally a `use_flow_id` parameter in the body; HTTP 400 on form validation errors.  Browser flows expect a Content-Type of `application/x-www-form-urlencoded` or `application/json` to be sent in the body and respond with a HTTP 303 redirect to the post/after registration URL or the `return_to` value if it was set and if the registration succeeded; a HTTP 303 redirect to the registration UI URL with the flow ID containing the validation errors otherwise.  Browser flows with an accept header of `application/json` will not redirect but instead respond with HTTP 200 and a application/json body with the signed in identity and a `Set-Cookie` header on success; HTTP 303 redirect to a fresh login flow if the original flow expired with the appropriate error messages set; HTTP 400 on form validation errors.  If this endpoint is called with `Accept: application/json` in the header, the response contains the flow without a redirect. In the case of an error, the `error.id` of the JSON response body can be one of:  `session_already_available`: The user is already signed in. `security_csrf_violation`: Unable to fetch the flow because a CSRF violation occurred. `security_identity_mismatch`: The requested `?return_to` address is not allowed to be used. Adjust this in the configuration! `browser_location_change_required`: Usually sent when an AJAX request indicates that the browser needs to open a specific URL. Most likely used in Social Sign In flows.  More information can be found at [Ory Kratos User Login](https://www.ory.sh/docs/kratos/self-service/flows/user-login) and [User Registration Documentation](https://www.ory.sh/docs/kratos/self-service/flows/user-registration).","ref":"Ory.Api.Frontend.html#update_registration_flow/4","title":"Ory.Api.Frontend.update_registration_flow/4","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `flow` (String.t): The Registration Flow ID  The value for this parameter comes from `flow` URL Query parameter sent to your application (e.g. `/registration?flow=abcde`).\n- `update_registration_flow_body` (UpdateRegistrationFlowBody): \n- `opts` (keyword): Optional parameters\n  - `:Cookie` (String.t): HTTP Cookies  When using the SDK in a browser app, on the server side you must include the HTTP Cookie Header sent by the client to your server here. This ensures that CSRF and session cookies are respected.","ref":"Ory.Api.Frontend.html#update_registration_flow/4-parameters","title":"Parameters - Ory.Api.Frontend.update_registration_flow/4","type":"function"},{"doc":"- `{:ok, Ory.Model.SuccessfulNativeRegistration.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#update_registration_flow/4-returns","title":"Returns - Ory.Api.Frontend.update_registration_flow/4","type":"function"},{"doc":"Complete Settings Flow\nUse this endpoint to complete a settings flow by sending an identity's updated password. This endpoint behaves differently for API and browser flows.  API-initiated flows expect `application/json` to be sent in the body and respond with HTTP 200 and an application/json body with the session token on success; HTTP 303 redirect to a fresh settings flow if the original flow expired with the appropriate error messages set; HTTP 400 on form validation errors. HTTP 401 when the endpoint is called without a valid session token. HTTP 403 when `selfservice.flows.settings.privileged_session_max_age` was reached or the session's AAL is too low. Implies that the user needs to re-authenticate.  Browser flows without HTTP Header `Accept` or with `Accept: text/*` respond with a HTTP 303 redirect to the post/after settings URL or the `return_to` value if it was set and if the flow succeeded; a HTTP 303 redirect to the Settings UI URL with the flow ID containing the validation errors otherwise. a HTTP 303 redirect to the login endpoint when `selfservice.flows.settings.privileged_session_max_age` was reached or the session's AAL is too low.  Browser flows with HTTP Header `Accept: application/json` respond with HTTP 200 and a application/json body with the signed in identity and a `Set-Cookie` header on success; HTTP 303 redirect to a fresh login flow if the original flow expired with the appropriate error messages set; HTTP 401 when the endpoint is called without a valid session cookie. HTTP 403 when the page is accessed without a session cookie or the session's AAL is too low. HTTP 400 on form validation errors.  Depending on your configuration this endpoint might return a 403 error if the session has a lower Authenticator Assurance Level (AAL) than is possible for the identity. This can happen if the identity has password + webauthn credentials (which would result in AAL2) but the session has only AAL1. If this error occurs, ask the user to sign in with the second factor (happens automatically for server-side browser flows) or change the configuration.  If this endpoint is called with a `Accept: application/json` HTTP header, the response contains the flow without a redirect. In the case of an error, the `error.id` of the JSON response body can be one of:  `session_refresh_required`: The identity requested to change something that needs a privileged session. Redirect the identity to the login init endpoint with query parameters `?refresh=true&return_to= `, or initiate a refresh login flow otherwise. `security_csrf_violation`: Unable to fetch the flow because a CSRF violation occurred. `session_inactive`: No Ory Session was found - sign in a user first. `security_identity_mismatch`: The flow was interrupted with `session_refresh_required` but apparently some other identity logged in instead. `security_identity_mismatch`: The requested `?return_to` address is not allowed to be used. Adjust this in the configuration! `browser_location_change_required`: Usually sent when an AJAX request indicates that the browser needs to open a specific URL. Most likely used in Social Sign In flows.  More information can be found at [Ory Kratos User Settings & Profile Management Documentation](../self-service/flows/user-settings).","ref":"Ory.Api.Frontend.html#update_settings_flow/4","title":"Ory.Api.Frontend.update_settings_flow/4","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `flow` (String.t): The Settings Flow ID  The value for this parameter comes from `flow` URL Query parameter sent to your application (e.g. `/settings?flow=abcde`).\n- `update_settings_flow_body` (UpdateSettingsFlowBody): \n- `opts` (keyword): Optional parameters\n  - `:\"X-Session-Token\"` (String.t): The Session Token of the Identity performing the settings flow.\n  - `:Cookie` (String.t): HTTP Cookies  When using the SDK in a browser app, on the server side you must include the HTTP Cookie Header sent by the client to your server here. This ensures that CSRF and session cookies are respected.","ref":"Ory.Api.Frontend.html#update_settings_flow/4-parameters","title":"Parameters - Ory.Api.Frontend.update_settings_flow/4","type":"function"},{"doc":"- `{:ok, Ory.Model.SettingsFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#update_settings_flow/4-returns","title":"Returns - Ory.Api.Frontend.update_settings_flow/4","type":"function"},{"doc":"Complete Verification Flow\nUse this endpoint to complete a verification flow. This endpoint behaves differently for API and browser flows and has several states:  `choose_method` expects `flow` (in the URL query) and `email` (in the body) to be sent and works with API- and Browser-initiated flows. For API clients and Browser clients with HTTP Header `Accept: application/json` it either returns a HTTP 200 OK when the form is valid and HTTP 400 OK when the form is invalid and a HTTP 303 See Other redirect with a fresh verification flow if the flow was otherwise invalid (e.g. expired). For Browser clients without HTTP Header `Accept` or with `Accept: text/*` it returns a HTTP 303 See Other redirect to the Verification UI URL with the Verification Flow ID appended. `sent_email` is the success state after `choose_method` when using the `link` method and allows the user to request another verification email. It works for both API and Browser-initiated flows and returns the same responses as the flow in `choose_method` state. `passed_challenge` expects a `token` to be sent in the URL query and given the nature of the flow (\"sending a verification link\") does not have any API capabilities. The server responds with a HTTP 303 See Other redirect either to the Settings UI URL (if the link was valid) and instructs the user to update their password, or a redirect to the Verification UI URL with a new Verification Flow ID which contains an error message that the verification link was invalid.  More information can be found at [Ory Kratos Email and Phone Verification Documentation](https://www.ory.sh/docs/kratos/self-service/flows/verify-email-account-activation).","ref":"Ory.Api.Frontend.html#update_verification_flow/4","title":"Ory.Api.Frontend.update_verification_flow/4","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `flow` (String.t): The Verification Flow ID  The value for this parameter comes from `flow` URL Query parameter sent to your application (e.g. `/verification?flow=abcde`).\n- `update_verification_flow_body` (UpdateVerificationFlowBody): \n- `opts` (keyword): Optional parameters\n  - `:token` (String.t): Verification Token  The verification token which completes the verification request. If the token is invalid (e.g. expired) an error will be shown to the end-user.  This parameter is usually set in a link and not used by any direct API call.\n  - `:Cookie` (String.t): HTTP Cookies  When using the SDK in a browser app, on the server side you must include the HTTP Cookie Header sent by the client to your server here. This ensures that CSRF and session cookies are respected.","ref":"Ory.Api.Frontend.html#update_verification_flow/4-parameters","title":"Parameters - Ory.Api.Frontend.update_verification_flow/4","type":"function"},{"doc":"- `{:ok, Ory.Model.VerificationFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#update_verification_flow/4-returns","title":"Returns - Ory.Api.Frontend.update_verification_flow/4","type":"function"},{"doc":"API calls for all endpoints tagged `Identity`.","ref":"Ory.Api.Identity.html","title":"Ory.Api.Identity","type":"module"},{"doc":"Create multiple identities\nCreates multiple [identities](https://www.ory.sh/docs/kratos/concepts/identity-user-model). This endpoint can also be used to [import credentials](https://www.ory.sh/docs/kratos/manage-identities/import-user-accounts-identities) for instance passwords, social sign in configurations or multifactor methods.","ref":"Ory.Api.Identity.html#batch_patch_identities/2","title":"Ory.Api.Identity.batch_patch_identities/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:body` (PatchIdentitiesBody):","ref":"Ory.Api.Identity.html#batch_patch_identities/2-parameters","title":"Parameters - Ory.Api.Identity.batch_patch_identities/2","type":"function"},{"doc":"- `{:ok, Ory.Model.BatchPatchIdentitiesResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#batch_patch_identities/2-returns","title":"Returns - Ory.Api.Identity.batch_patch_identities/2","type":"function"},{"doc":"Create an Identity\nCreate an [identity](https://www.ory.sh/docs/kratos/concepts/identity-user-model).  This endpoint can also be used to [import credentials](https://www.ory.sh/docs/kratos/manage-identities/import-user-accounts-identities) for instance passwords, social sign in configurations or multifactor methods.","ref":"Ory.Api.Identity.html#create_identity/2","title":"Ory.Api.Identity.create_identity/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:body` (CreateIdentityBody):","ref":"Ory.Api.Identity.html#create_identity/2-parameters","title":"Parameters - Ory.Api.Identity.create_identity/2","type":"function"},{"doc":"- `{:ok, Ory.Model.Identity.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#create_identity/2-returns","title":"Returns - Ory.Api.Identity.create_identity/2","type":"function"},{"doc":"Create a Recovery Code\nThis endpoint creates a recovery code which should be given to the user in order for them to recover (or activate) their account.","ref":"Ory.Api.Identity.html#create_recovery_code_for_identity/2","title":"Ory.Api.Identity.create_recovery_code_for_identity/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:body` (CreateRecoveryCodeForIdentityBody):","ref":"Ory.Api.Identity.html#create_recovery_code_for_identity/2-parameters","title":"Parameters - Ory.Api.Identity.create_recovery_code_for_identity/2","type":"function"},{"doc":"- `{:ok, Ory.Model.RecoveryCodeForIdentity.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#create_recovery_code_for_identity/2-returns","title":"Returns - Ory.Api.Identity.create_recovery_code_for_identity/2","type":"function"},{"doc":"Create a Recovery Link\nThis endpoint creates a recovery link which should be given to the user in order for them to recover (or activate) their account.","ref":"Ory.Api.Identity.html#create_recovery_link_for_identity/2","title":"Ory.Api.Identity.create_recovery_link_for_identity/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:return_to` (String.t): \n  - `:body` (CreateRecoveryLinkForIdentityBody):","ref":"Ory.Api.Identity.html#create_recovery_link_for_identity/2-parameters","title":"Parameters - Ory.Api.Identity.create_recovery_link_for_identity/2","type":"function"},{"doc":"- `{:ok, Ory.Model.RecoveryLinkForIdentity.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#create_recovery_link_for_identity/2-returns","title":"Returns - Ory.Api.Identity.create_recovery_link_for_identity/2","type":"function"},{"doc":"Delete an Identity\nCalling this endpoint irrecoverably and permanently deletes the [identity](https://www.ory.sh/docs/kratos/concepts/identity-user-model) given its ID. This action can not be undone. This endpoint returns 204 when the identity was deleted or when the identity was not found, in which case it is assumed that is has been deleted already.","ref":"Ory.Api.Identity.html#delete_identity/3","title":"Ory.Api.Identity.delete_identity/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): ID is the identity's ID.\n- `opts` (keyword): Optional parameters","ref":"Ory.Api.Identity.html#delete_identity/3-parameters","title":"Parameters - Ory.Api.Identity.delete_identity/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#delete_identity/3-returns","title":"Returns - Ory.Api.Identity.delete_identity/3","type":"function"},{"doc":"Delete a credential for a specific identity\nDelete an [identity](https://www.ory.sh/docs/kratos/concepts/identity-user-model) credential by its type. You cannot delete password or code auth credentials through this API.","ref":"Ory.Api.Identity.html#delete_identity_credentials/4","title":"Ory.Api.Identity.delete_identity_credentials/4","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): ID is the identity's ID.\n- `type` (String.t): Type is the type of credentials to delete. password CredentialsTypePassword oidc CredentialsTypeOIDC totp CredentialsTypeTOTP lookup_secret CredentialsTypeLookup webauthn CredentialsTypeWebAuthn code CredentialsTypeCodeAuth passkey CredentialsTypePasskey profile CredentialsTypeProfile saml CredentialsTypeSAML link_recovery CredentialsTypeRecoveryLink  CredentialsTypeRecoveryLink is a special credential type linked to the link strategy (recovery flow).  It is not used within the credentials object itself. code_recovery CredentialsTypeRecoveryCode\n- `opts` (keyword): Optional parameters\n  - `:identifier` (String.t): Identifier is the identifier of the OIDC credential to delete. Find the identifier by calling the `GET /admin/identities/{id}?include_credential=oidc` endpoint.","ref":"Ory.Api.Identity.html#delete_identity_credentials/4-parameters","title":"Parameters - Ory.Api.Identity.delete_identity_credentials/4","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#delete_identity_credentials/4-returns","title":"Returns - Ory.Api.Identity.delete_identity_credentials/4","type":"function"},{"doc":"Delete & Invalidate an Identity's Sessions\nCalling this endpoint irrecoverably and permanently deletes and invalidates all sessions that belong to the given Identity.","ref":"Ory.Api.Identity.html#delete_identity_sessions/3","title":"Ory.Api.Identity.delete_identity_sessions/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): ID is the identity's ID.\n- `opts` (keyword): Optional parameters","ref":"Ory.Api.Identity.html#delete_identity_sessions/3-parameters","title":"Parameters - Ory.Api.Identity.delete_identity_sessions/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#delete_identity_sessions/3-returns","title":"Returns - Ory.Api.Identity.delete_identity_sessions/3","type":"function"},{"doc":"Deactivate a Session\nCalling this endpoint deactivates the specified session. Session data is not deleted.","ref":"Ory.Api.Identity.html#disable_session/3","title":"Ory.Api.Identity.disable_session/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): ID is the session's ID.\n- `opts` (keyword): Optional parameters","ref":"Ory.Api.Identity.html#disable_session/3-parameters","title":"Parameters - Ory.Api.Identity.disable_session/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#disable_session/3-returns","title":"Returns - Ory.Api.Identity.disable_session/3","type":"function"},{"doc":"Extend a Session\nCalling this endpoint extends the given session ID. If `session.earliest_possible_extend` is set it will only extend the session after the specified time has passed.  This endpoint returns per default a 204 No Content response on success. Older Ory Network projects may return a 200 OK response with the session in the body. Returning the session as part of the response will be deprecated in the future and should not be relied upon.  This endpoint ignores consecutive requests to extend the same session and returns a 404 error in those scenarios. This endpoint also returns 404 errors if the session does not exist.  Retrieve the session ID from the `/sessions/whoami` endpoint / `toSession` SDK method.","ref":"Ory.Api.Identity.html#extend_session/3","title":"Ory.Api.Identity.extend_session/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): ID is the session's ID.\n- `opts` (keyword): Optional parameters","ref":"Ory.Api.Identity.html#extend_session/3-parameters","title":"Parameters - Ory.Api.Identity.extend_session/3","type":"function"},{"doc":"- `{:ok, Ory.Model.Session.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#extend_session/3-returns","title":"Returns - Ory.Api.Identity.extend_session/3","type":"function"},{"doc":"Get an Identity\nReturn an [identity](https://www.ory.sh/docs/kratos/concepts/identity-user-model) by its ID. You can optionally include credentials (e.g. social sign in connections) in the response by using the `include_credential` query parameter.","ref":"Ory.Api.Identity.html#get_identity/3","title":"Ory.Api.Identity.get_identity/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): ID must be set to the ID of identity you want to get\n- `opts` (keyword): Optional parameters\n  - `:include_credential` ([String.t]): Include Credentials in Response  Include any credential, for example `password` or `oidc`, in the response. When set to `oidc`, This will return the initial OAuth 2.0 Access Token, OAuth 2.0 Refresh Token and the OpenID Connect ID Token if available.","ref":"Ory.Api.Identity.html#get_identity/3-parameters","title":"Parameters - Ory.Api.Identity.get_identity/3","type":"function"},{"doc":"- `{:ok, Ory.Model.Identity.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#get_identity/3-returns","title":"Returns - Ory.Api.Identity.get_identity/3","type":"function"},{"doc":"Get Identity JSON Schema\nReturn a specific identity schema.","ref":"Ory.Api.Identity.html#get_identity_schema/3","title":"Ory.Api.Identity.get_identity_schema/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): ID must be set to the ID of schema you want to get\n- `opts` (keyword): Optional parameters","ref":"Ory.Api.Identity.html#get_identity_schema/3-parameters","title":"Parameters - Ory.Api.Identity.get_identity_schema/3","type":"function"},{"doc":"- `{:ok, map()}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#get_identity_schema/3-returns","title":"Returns - Ory.Api.Identity.get_identity_schema/3","type":"function"},{"doc":"Get Session\nThis endpoint is useful for:  Getting a session object with all specified expandables that exist in an administrative context.","ref":"Ory.Api.Identity.html#get_session/3","title":"Ory.Api.Identity.get_session/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): ID is the session's ID.\n- `opts` (keyword): Optional parameters\n  - `:expand` ([String.t]): ExpandOptions is a query parameter encoded list of all properties that must be expanded in the Session. Example - ?expand=Identity&expand=Devices If no value is provided, the expandable properties are skipped.","ref":"Ory.Api.Identity.html#get_session/3-parameters","title":"Parameters - Ory.Api.Identity.get_session/3","type":"function"},{"doc":"- `{:ok, Ory.Model.Session.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#get_session/3-returns","title":"Returns - Ory.Api.Identity.get_session/3","type":"function"},{"doc":"List Identities\nLists all [identities](https://www.ory.sh/docs/kratos/concepts/identity-user-model) in the system. Note: filters cannot be combined.","ref":"Ory.Api.Identity.html#list_identities/2","title":"Ory.Api.Identity.list_identities/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:per_page` (integer()): Deprecated Items per Page  DEPRECATED: Please use `page_token` instead. This parameter will be removed in the future.  This is the number of items per page.\n  - `:page` (integer()): Deprecated Pagination Page  DEPRECATED: Please use `page_token` instead. This parameter will be removed in the future.  This value is currently an integer, but it is not sequential. The value is not the page number, but a reference. The next page can be any number and some numbers might return an empty list.  For example, page 2 might not follow after page 1. And even if page 3 and 5 exist, but page 4 might not exist. The first page can be retrieved by omitting this parameter. Following page pointers will be returned in the `Link` header.\n  - `:page_size` (integer()): Page Size  This is the number of items per page to return. For details on pagination please head over to the [pagination documentation](https://www.ory.sh/docs/ecosystem/api-design#pagination).\n  - `:page_token` (String.t): Next Page Token  The next page token. For details on pagination please head over to the [pagination documentation](https://www.ory.sh/docs/ecosystem/api-design#pagination).\n  - `:consistency` (String.t): Read Consistency Level (preview)  The read consistency level determines the consistency guarantee for reads:  strong (slow): The read is guaranteed to return the most recent data committed at the start of the read. eventual (very fast): The result will return data that is about 4.8 seconds old.  The default consistency guarantee can be changed in the Ory Network Console or using the Ory CLI with `ory patch project --replace '/previews/default_read_consistency_level=\"strong\"'`.  Setting the default consistency level to `eventual` may cause regressions in the future as we add consistency controls to more APIs. Currently, the following APIs will be affected by this setting:  `GET /admin/identities`  This feature is in preview and only available in Ory Network.  ConsistencyLevelUnset  ConsistencyLevelUnset is the unset / default consistency level. strong ConsistencyLevelStrong  ConsistencyLevelStrong is the strong consistency level. eventual ConsistencyLevelEventual  ConsistencyLevelEventual is the eventual consistency level using follower read timestamps.\n  - `:ids` ([String.t]): Retrieve multiple identities by their IDs.  This parameter has the following limitations:  Duplicate or non-existent IDs are ignored. The order of returned IDs may be different from the request. This filter does not support pagination. You must implement your own pagination as the maximum number of items returned by this endpoint may not exceed a certain threshold (currently 500).\n  - `:credentials_identifier` (String.t): CredentialsIdentifier is the identifier (username, email) of the credentials to look up using exact match. Only one of CredentialsIdentifier and CredentialsIdentifierSimilar can be used.\n  - `:preview_credentials_identifier_similar` (String.t): This is an EXPERIMENTAL parameter that WILL CHANGE. Do NOT rely on consistent, deterministic behavior. THIS PARAMETER WILL BE REMOVED IN AN UPCOMING RELEASE WITHOUT ANY MIGRATION PATH.  CredentialsIdentifierSimilar is the (partial) identifier (username, email) of the credentials to look up using similarity search. Only one of CredentialsIdentifier and CredentialsIdentifierSimilar can be used.\n  - `:include_credential` ([String.t]): Include Credentials in Response  Include any credential, for example `password` or `oidc`, in the response. When set to `oidc`, This will return the initial OAuth 2.0 Access Token, OAuth 2.0 Refresh Token and the OpenID Connect ID Token if available.\n  - `:organization_id` (String.t): List identities that belong to a specific organization.","ref":"Ory.Api.Identity.html#list_identities/2-parameters","title":"Parameters - Ory.Api.Identity.list_identities/2","type":"function"},{"doc":"- `{:ok, [%Identity{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#list_identities/2-returns","title":"Returns - Ory.Api.Identity.list_identities/2","type":"function"},{"doc":"Get all Identity Schemas\nReturns a list of all identity schemas currently in use.","ref":"Ory.Api.Identity.html#list_identity_schemas/2","title":"Ory.Api.Identity.list_identity_schemas/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:per_page` (integer()): Deprecated Items per Page  DEPRECATED: Please use `page_token` instead. This parameter will be removed in the future.  This is the number of items per page.\n  - `:page` (integer()): Deprecated Pagination Page  DEPRECATED: Please use `page_token` instead. This parameter will be removed in the future.  This value is currently an integer, but it is not sequential. The value is not the page number, but a reference. The next page can be any number and some numbers might return an empty list.  For example, page 2 might not follow after page 1. And even if page 3 and 5 exist, but page 4 might not exist. The first page can be retrieved by omitting this parameter. Following page pointers will be returned in the `Link` header.\n  - `:page_size` (integer()): Page Size  This is the number of items per page to return. For details on pagination please head over to the [pagination documentation](https://www.ory.sh/docs/ecosystem/api-design#pagination).\n  - `:page_token` (String.t): Next Page Token  The next page token. For details on pagination please head over to the [pagination documentation](https://www.ory.sh/docs/ecosystem/api-design#pagination).","ref":"Ory.Api.Identity.html#list_identity_schemas/2-parameters","title":"Parameters - Ory.Api.Identity.list_identity_schemas/2","type":"function"},{"doc":"- `{:ok, [%IdentitySchemaContainer{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#list_identity_schemas/2-returns","title":"Returns - Ory.Api.Identity.list_identity_schemas/2","type":"function"},{"doc":"List an Identity's Sessions\nThis endpoint returns all sessions that belong to the given Identity.","ref":"Ory.Api.Identity.html#list_identity_sessions/3","title":"Ory.Api.Identity.list_identity_sessions/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): ID is the identity's ID.\n- `opts` (keyword): Optional parameters\n  - `:per_page` (integer()): Deprecated Items per Page  DEPRECATED: Please use `page_token` instead. This parameter will be removed in the future.  This is the number of items per page.\n  - `:page` (integer()): Deprecated Pagination Page  DEPRECATED: Please use `page_token` instead. This parameter will be removed in the future.  This value is currently an integer, but it is not sequential. The value is not the page number, but a reference. The next page can be any number and some numbers might return an empty list.  For example, page 2 might not follow after page 1. And even if page 3 and 5 exist, but page 4 might not exist. The first page can be retrieved by omitting this parameter. Following page pointers will be returned in the `Link` header.\n  - `:page_size` (integer()): Page Size  This is the number of items per page to return. For details on pagination please head over to the [pagination documentation](https://www.ory.sh/docs/ecosystem/api-design#pagination).\n  - `:page_token` (String.t): Next Page Token  The next page token. For details on pagination please head over to the [pagination documentation](https://www.ory.sh/docs/ecosystem/api-design#pagination).\n  - `:active` (boolean()): Active is a boolean flag that filters out sessions based on the state. If no value is provided, all sessions are returned.","ref":"Ory.Api.Identity.html#list_identity_sessions/3-parameters","title":"Parameters - Ory.Api.Identity.list_identity_sessions/3","type":"function"},{"doc":"- `{:ok, [%Session{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#list_identity_sessions/3-returns","title":"Returns - Ory.Api.Identity.list_identity_sessions/3","type":"function"},{"doc":"List All Sessions\nListing all sessions that exist.","ref":"Ory.Api.Identity.html#list_sessions/2","title":"Ory.Api.Identity.list_sessions/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:page_size` (integer()): Items per Page  This is the number of items per page to return. For details on pagination please head over to the [pagination documentation](https://www.ory.sh/docs/ecosystem/api-design#pagination).\n  - `:page_token` (String.t): Next Page Token  The next page token. For details on pagination please head over to the [pagination documentation](https://www.ory.sh/docs/ecosystem/api-design#pagination).\n  - `:active` (boolean()): Active is a boolean flag that filters out sessions based on the state. If no value is provided, all sessions are returned.\n  - `:expand` ([String.t]): ExpandOptions is a query parameter encoded list of all properties that must be expanded in the Session. If no value is provided, the expandable properties are skipped.","ref":"Ory.Api.Identity.html#list_sessions/2-parameters","title":"Parameters - Ory.Api.Identity.list_sessions/2","type":"function"},{"doc":"- `{:ok, [%Session{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#list_sessions/2-returns","title":"Returns - Ory.Api.Identity.list_sessions/2","type":"function"},{"doc":"Patch an Identity\nPartially updates an [identity's](https://www.ory.sh/docs/kratos/concepts/identity-user-model) field using [JSON Patch](https://jsonpatch.com/). The fields `id`, `stateChangedAt` and `credentials` can not be updated using this method.","ref":"Ory.Api.Identity.html#patch_identity/3","title":"Ory.Api.Identity.patch_identity/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): ID must be set to the ID of identity you want to update\n- `opts` (keyword): Optional parameters\n  - `:body` ([Ory.Model.JsonPatch.t]):","ref":"Ory.Api.Identity.html#patch_identity/3-parameters","title":"Parameters - Ory.Api.Identity.patch_identity/3","type":"function"},{"doc":"- `{:ok, Ory.Model.Identity.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#patch_identity/3-returns","title":"Returns - Ory.Api.Identity.patch_identity/3","type":"function"},{"doc":"Update an Identity\nThis endpoint updates an [identity](https://www.ory.sh/docs/kratos/concepts/identity-user-model). The full identity payload (except credentials) is expected. It is possible to update the identity's credentials as well.","ref":"Ory.Api.Identity.html#update_identity/3","title":"Ory.Api.Identity.update_identity/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): ID must be set to the ID of identity you want to update\n- `opts` (keyword): Optional parameters\n  - `:body` (UpdateIdentityBody):","ref":"Ory.Api.Identity.html#update_identity/3-parameters","title":"Parameters - Ory.Api.Identity.update_identity/3","type":"function"},{"doc":"- `{:ok, Ory.Model.Identity.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#update_identity/3-returns","title":"Returns - Ory.Api.Identity.update_identity/3","type":"function"},{"doc":"API calls for all endpoints tagged `Metadata`.","ref":"Ory.Api.Metadata.html","title":"Ory.Api.Metadata","type":"module"},{"doc":"Return Running Software Version.\nThis endpoint returns the version of Ory Kratos.  If the service supports TLS Edge Termination, this endpoint does not require the `X-Forwarded-Proto` header to be set.  Be aware that if you are running multiple nodes of this service, the version will never refer to the cluster state, only to a single instance.","ref":"Ory.Api.Metadata.html#get_version/2","title":"Ory.Api.Metadata.get_version/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"Ory.Api.Metadata.html#get_version/2-parameters","title":"Parameters - Ory.Api.Metadata.get_version/2","type":"function"},{"doc":"- `{:ok, Ory.Model.GetVersion200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Metadata.html#get_version/2-returns","title":"Returns - Ory.Api.Metadata.get_version/2","type":"function"},{"doc":"Check HTTP Server Status\nThis endpoint returns a HTTP 200 status code when Ory Kratos is accepting incoming HTTP requests. This status does currently not include checks whether the database connection is working.  If the service supports TLS Edge Termination, this endpoint does not require the `X-Forwarded-Proto` header to be set.  Be aware that if you are running multiple nodes of this service, the health status will never refer to the cluster state, only to a single instance.","ref":"Ory.Api.Metadata.html#is_alive/2","title":"Ory.Api.Metadata.is_alive/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"Ory.Api.Metadata.html#is_alive/2-parameters","title":"Parameters - Ory.Api.Metadata.is_alive/2","type":"function"},{"doc":"- `{:ok, Ory.Model.IsAlive200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Metadata.html#is_alive/2-returns","title":"Returns - Ory.Api.Metadata.is_alive/2","type":"function"},{"doc":"Check HTTP Server and Database Status\nThis endpoint returns a HTTP 200 status code when Ory Kratos is up running and the environment dependencies (e.g. the database) are responsive as well.  If the service supports TLS Edge Termination, this endpoint does not require the `X-Forwarded-Proto` header to be set.  Be aware that if you are running multiple nodes of Ory Kratos, the health status will never refer to the cluster state, only to a single instance.","ref":"Ory.Api.Metadata.html#is_ready/2","title":"Ory.Api.Metadata.is_ready/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters","ref":"Ory.Api.Metadata.html#is_ready/2-parameters","title":"Parameters - Ory.Api.Metadata.is_ready/2","type":"function"},{"doc":"- `{:ok, Ory.Model.IsAlive200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Metadata.html#is_ready/2-returns","title":"Returns - Ory.Api.Metadata.is_ready/2","type":"function"},{"doc":"Handle Tesla connections for Ory.\n\nAdditional middleware can be set in the compile-time or runtime configuration:\n\n    config :tesla, Ory.Connection,\n      base_url: \"http://localhost\",\n      adapter: Tesla.Adapter.Hackney\n\nThe default base URL can also be set as:\n\n    config :ory_kratos,\n      :base_url, \"http://localhost\"","ref":"Ory.Connection.html","title":"Ory.Connection","type":"module"},{"doc":"Returns the default adapter for this API.","ref":"Ory.Connection.html#adapter/0","title":"Ory.Connection.adapter/0","type":"function"},{"doc":"Returns fully configured middleware for passing to Tesla.client/2.","ref":"Ory.Connection.html#middleware/1","title":"Ory.Connection.middleware/1","type":"function"},{"doc":"Configure a client with no authentication.","ref":"Ory.Connection.html#new/0","title":"Ory.Connection.new/0","type":"function"},{"doc":"Tesla.Env.client","ref":"Ory.Connection.html#new/0-returns","title":"Returns - Ory.Connection.new/0","type":"function"},{"doc":"Configure a client that may have authentication.","ref":"Ory.Connection.html#new/1","title":"Ory.Connection.new/1","type":"function"},{"doc":"- `options`: a keyword list of OpenAPIPetstore.Connection.options.","ref":"Ory.Connection.html#new/1-parameters","title":"Parameters - Ory.Connection.new/1","type":"function"},{"doc":"Tesla.Env.client","ref":"Ory.Connection.html#new/1-returns","title":"Returns - Ory.Connection.new/1","type":"function"},{"doc":"The list of options that can be passed to new/1.\n\n- `base_url`: Overrides the base URL on a per-client basis.\n- `user_agent`: Overrides the User-Agent header.","ref":"Ory.Connection.html#t:options/0","title":"Ory.Connection.options/0","type":"type"},{"doc":"Forward requests to Tesla.","ref":"Ory.Connection.html#request/2","title":"Ory.Connection.request/2","type":"function"},{"doc":"Helper functions for deserializing responses into models","ref":"Ory.Deserializer.html","title":"Ory.Deserializer","type":"module"},{"doc":"Update the provided model with a deserialization of a nested value","ref":"Ory.Deserializer.html#deserialize/4","title":"Ory.Deserializer.deserialize/4","type":"function"},{"doc":"","ref":"Ory.Deserializer.html#jason_decode/1","title":"Ory.Deserializer.jason_decode/1","type":"function"},{"doc":"","ref":"Ory.Deserializer.html#jason_decode/2","title":"Ory.Deserializer.jason_decode/2","type":"function"},{"doc":"The authenticator assurance level can be one of \"aal1\", \"aal2\", or \"aal3\". A higher number means that it is harder for an attacker to compromise the account.  Generally, \"aal1\" implies that one authentication factor was used while AAL2 implies that two factors (e.g. password + TOTP) have been used.  To learn more about these levels please head over to: https://www.ory.sh/kratos/docs/concepts/credentials","ref":"Ory.Model.AuthenticatorAssuranceLevel.html","title":"Ory.Model.AuthenticatorAssuranceLevel","type":"module"},{"doc":"","ref":"Ory.Model.AuthenticatorAssuranceLevel.html#decode/1","title":"Ory.Model.AuthenticatorAssuranceLevel.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.AuthenticatorAssuranceLevel.html#t:t/0","title":"Ory.Model.AuthenticatorAssuranceLevel.t/0","type":"type"},{"doc":"Patch identities response","ref":"Ory.Model.BatchPatchIdentitiesResponse.html","title":"Ory.Model.BatchPatchIdentitiesResponse","type":"module"},{"doc":"","ref":"Ory.Model.BatchPatchIdentitiesResponse.html#decode/1","title":"Ory.Model.BatchPatchIdentitiesResponse.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.BatchPatchIdentitiesResponse.html#t:t/0","title":"Ory.Model.BatchPatchIdentitiesResponse.t/0","type":"type"},{"doc":"Control API consistency guarantees","ref":"Ory.Model.ConsistencyRequestParameters.html","title":"Ory.Model.ConsistencyRequestParameters","type":"module"},{"doc":"","ref":"Ory.Model.ConsistencyRequestParameters.html#decode/1","title":"Ory.Model.ConsistencyRequestParameters.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.ConsistencyRequestParameters.html#t:t/0","title":"Ory.Model.ConsistencyRequestParameters.t/0","type":"type"},{"doc":"","ref":"Ory.Model.ContinueWith.html","title":"Ory.Model.ContinueWith","type":"module"},{"doc":"","ref":"Ory.Model.ContinueWith.html#decode/1","title":"Ory.Model.ContinueWith.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.ContinueWith.html#t:t/0","title":"Ory.Model.ContinueWith.t/0","type":"type"},{"doc":"Indicates, that the UI flow could be continued by showing a recovery ui","ref":"Ory.Model.ContinueWithRecoveryUi.html","title":"Ory.Model.ContinueWithRecoveryUi","type":"module"},{"doc":"","ref":"Ory.Model.ContinueWithRecoveryUi.html#decode/1","title":"Ory.Model.ContinueWithRecoveryUi.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.ContinueWithRecoveryUi.html#t:t/0","title":"Ory.Model.ContinueWithRecoveryUi.t/0","type":"type"},{"doc":"","ref":"Ory.Model.ContinueWithRecoveryUiFlow.html","title":"Ory.Model.ContinueWithRecoveryUiFlow","type":"module"},{"doc":"","ref":"Ory.Model.ContinueWithRecoveryUiFlow.html#decode/1","title":"Ory.Model.ContinueWithRecoveryUiFlow.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.ContinueWithRecoveryUiFlow.html#t:t/0","title":"Ory.Model.ContinueWithRecoveryUiFlow.t/0","type":"type"},{"doc":"Indicates, that the UI flow could be continued by showing a recovery ui","ref":"Ory.Model.ContinueWithRedirectBrowserTo.html","title":"Ory.Model.ContinueWithRedirectBrowserTo","type":"module"},{"doc":"","ref":"Ory.Model.ContinueWithRedirectBrowserTo.html#decode/1","title":"Ory.Model.ContinueWithRedirectBrowserTo.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.ContinueWithRedirectBrowserTo.html#t:t/0","title":"Ory.Model.ContinueWithRedirectBrowserTo.t/0","type":"type"},{"doc":"Indicates that a session was issued, and the application should use this token for authenticated requests","ref":"Ory.Model.ContinueWithSetOrySessionToken.html","title":"Ory.Model.ContinueWithSetOrySessionToken","type":"module"},{"doc":"","ref":"Ory.Model.ContinueWithSetOrySessionToken.html#decode/1","title":"Ory.Model.ContinueWithSetOrySessionToken.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.ContinueWithSetOrySessionToken.html#t:t/0","title":"Ory.Model.ContinueWithSetOrySessionToken.t/0","type":"type"},{"doc":"Indicates, that the UI flow could be continued by showing a settings ui","ref":"Ory.Model.ContinueWithSettingsUi.html","title":"Ory.Model.ContinueWithSettingsUi","type":"module"},{"doc":"","ref":"Ory.Model.ContinueWithSettingsUi.html#decode/1","title":"Ory.Model.ContinueWithSettingsUi.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.ContinueWithSettingsUi.html#t:t/0","title":"Ory.Model.ContinueWithSettingsUi.t/0","type":"type"},{"doc":"","ref":"Ory.Model.ContinueWithSettingsUiFlow.html","title":"Ory.Model.ContinueWithSettingsUiFlow","type":"module"},{"doc":"","ref":"Ory.Model.ContinueWithSettingsUiFlow.html#decode/1","title":"Ory.Model.ContinueWithSettingsUiFlow.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.ContinueWithSettingsUiFlow.html#t:t/0","title":"Ory.Model.ContinueWithSettingsUiFlow.t/0","type":"type"},{"doc":"Indicates, that the UI flow could be continued by showing a verification ui","ref":"Ory.Model.ContinueWithVerificationUi.html","title":"Ory.Model.ContinueWithVerificationUi","type":"module"},{"doc":"","ref":"Ory.Model.ContinueWithVerificationUi.html#decode/1","title":"Ory.Model.ContinueWithVerificationUi.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.ContinueWithVerificationUi.html#t:t/0","title":"Ory.Model.ContinueWithVerificationUi.t/0","type":"type"},{"doc":"","ref":"Ory.Model.ContinueWithVerificationUiFlow.html","title":"Ory.Model.ContinueWithVerificationUiFlow","type":"module"},{"doc":"","ref":"Ory.Model.ContinueWithVerificationUiFlow.html#decode/1","title":"Ory.Model.ContinueWithVerificationUiFlow.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.ContinueWithVerificationUiFlow.html#t:t/0","title":"Ory.Model.ContinueWithVerificationUiFlow.t/0","type":"type"},{"doc":"A Message's Status","ref":"Ory.Model.CourierMessageStatus.html","title":"Ory.Model.CourierMessageStatus","type":"module"},{"doc":"","ref":"Ory.Model.CourierMessageStatus.html#decode/1","title":"Ory.Model.CourierMessageStatus.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.CourierMessageStatus.html#t:t/0","title":"Ory.Model.CourierMessageStatus.t/0","type":"type"},{"doc":"It can either be `email` or `phone`","ref":"Ory.Model.CourierMessageType.html","title":"Ory.Model.CourierMessageType","type":"module"},{"doc":"","ref":"Ory.Model.CourierMessageType.html#decode/1","title":"Ory.Model.CourierMessageType.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.CourierMessageType.html#t:t/0","title":"Ory.Model.CourierMessageType.t/0","type":"type"},{"doc":"Contains a list of all available FedCM providers.","ref":"Ory.Model.CreateFedcmFlowResponse.html","title":"Ory.Model.CreateFedcmFlowResponse","type":"module"},{"doc":"","ref":"Ory.Model.CreateFedcmFlowResponse.html#decode/1","title":"Ory.Model.CreateFedcmFlowResponse.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.CreateFedcmFlowResponse.html#t:t/0","title":"Ory.Model.CreateFedcmFlowResponse.t/0","type":"type"},{"doc":"Create Identity Body","ref":"Ory.Model.CreateIdentityBody.html","title":"Ory.Model.CreateIdentityBody","type":"module"},{"doc":"","ref":"Ory.Model.CreateIdentityBody.html#decode/1","title":"Ory.Model.CreateIdentityBody.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.CreateIdentityBody.html#t:t/0","title":"Ory.Model.CreateIdentityBody.t/0","type":"type"},{"doc":"Create Recovery Code for Identity Request Body","ref":"Ory.Model.CreateRecoveryCodeForIdentityBody.html","title":"Ory.Model.CreateRecoveryCodeForIdentityBody","type":"module"},{"doc":"","ref":"Ory.Model.CreateRecoveryCodeForIdentityBody.html#decode/1","title":"Ory.Model.CreateRecoveryCodeForIdentityBody.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.CreateRecoveryCodeForIdentityBody.html#t:t/0","title":"Ory.Model.CreateRecoveryCodeForIdentityBody.t/0","type":"type"},{"doc":"Create Recovery Link for Identity Request Body","ref":"Ory.Model.CreateRecoveryLinkForIdentityBody.html","title":"Ory.Model.CreateRecoveryLinkForIdentityBody","type":"module"},{"doc":"","ref":"Ory.Model.CreateRecoveryLinkForIdentityBody.html#decode/1","title":"Ory.Model.CreateRecoveryLinkForIdentityBody.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.CreateRecoveryLinkForIdentityBody.html#t:t/0","title":"Ory.Model.CreateRecoveryLinkForIdentityBody.t/0","type":"type"},{"doc":"Deleted Session Count","ref":"Ory.Model.DeleteMySessionsCount.html","title":"Ory.Model.DeleteMySessionsCount","type":"module"},{"doc":"","ref":"Ory.Model.DeleteMySessionsCount.html#decode/1","title":"Ory.Model.DeleteMySessionsCount.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.DeleteMySessionsCount.html#t:t/0","title":"Ory.Model.DeleteMySessionsCount.t/0","type":"type"},{"doc":"","ref":"Ory.Model.ErrorAuthenticatorAssuranceLevelNotSatisfied.html","title":"Ory.Model.ErrorAuthenticatorAssuranceLevelNotSatisfied","type":"module"},{"doc":"","ref":"Ory.Model.ErrorAuthenticatorAssuranceLevelNotSatisfied.html#decode/1","title":"Ory.Model.ErrorAuthenticatorAssuranceLevelNotSatisfied.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.ErrorAuthenticatorAssuranceLevelNotSatisfied.html#t:t/0","title":"Ory.Model.ErrorAuthenticatorAssuranceLevelNotSatisfied.t/0","type":"type"},{"doc":"","ref":"Ory.Model.ErrorBrowserLocationChangeRequired.html","title":"Ory.Model.ErrorBrowserLocationChangeRequired","type":"module"},{"doc":"","ref":"Ory.Model.ErrorBrowserLocationChangeRequired.html#decode/1","title":"Ory.Model.ErrorBrowserLocationChangeRequired.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.ErrorBrowserLocationChangeRequired.html#t:t/0","title":"Ory.Model.ErrorBrowserLocationChangeRequired.t/0","type":"type"},{"doc":"Is sent when a flow is replaced by a different flow of the same class","ref":"Ory.Model.ErrorFlowReplaced.html","title":"Ory.Model.ErrorFlowReplaced","type":"module"},{"doc":"","ref":"Ory.Model.ErrorFlowReplaced.html#decode/1","title":"Ory.Model.ErrorFlowReplaced.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.ErrorFlowReplaced.html#t:t/0","title":"Ory.Model.ErrorFlowReplaced.t/0","type":"type"},{"doc":"The standard Ory JSON API error format.","ref":"Ory.Model.ErrorGeneric.html","title":"Ory.Model.ErrorGeneric","type":"module"},{"doc":"","ref":"Ory.Model.ErrorGeneric.html#decode/1","title":"Ory.Model.ErrorGeneric.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.ErrorGeneric.html#t:t/0","title":"Ory.Model.ErrorGeneric.t/0","type":"type"},{"doc":"","ref":"Ory.Model.FlowError.html","title":"Ory.Model.FlowError","type":"module"},{"doc":"","ref":"Ory.Model.FlowError.html#decode/1","title":"Ory.Model.FlowError.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.FlowError.html#t:t/0","title":"Ory.Model.FlowError.t/0","type":"type"},{"doc":"","ref":"Ory.Model.GenericError.html","title":"Ory.Model.GenericError","type":"module"},{"doc":"","ref":"Ory.Model.GenericError.html#decode/1","title":"Ory.Model.GenericError.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.GenericError.html#t:t/0","title":"Ory.Model.GenericError.t/0","type":"type"},{"doc":"","ref":"Ory.Model.GetVersion200Response.html","title":"Ory.Model.GetVersion200Response","type":"module"},{"doc":"","ref":"Ory.Model.GetVersion200Response.html#decode/1","title":"Ory.Model.GetVersion200Response.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.GetVersion200Response.html#t:t/0","title":"Ory.Model.GetVersion200Response.t/0","type":"type"},{"doc":"","ref":"Ory.Model.HealthNotReadyStatus.html","title":"Ory.Model.HealthNotReadyStatus","type":"module"},{"doc":"","ref":"Ory.Model.HealthNotReadyStatus.html#decode/1","title":"Ory.Model.HealthNotReadyStatus.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.HealthNotReadyStatus.html#t:t/0","title":"Ory.Model.HealthNotReadyStatus.t/0","type":"type"},{"doc":"","ref":"Ory.Model.HealthStatus.html","title":"Ory.Model.HealthStatus","type":"module"},{"doc":"","ref":"Ory.Model.HealthStatus.html#decode/1","title":"Ory.Model.HealthStatus.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.HealthStatus.html#t:t/0","title":"Ory.Model.HealthStatus.t/0","type":"type"},{"doc":"An [identity](https://www.ory.sh/docs/kratos/concepts/identity-user-model) represents a (human) user in Ory.","ref":"Ory.Model.Identity.html","title":"Ory.Model.Identity","type":"module"},{"doc":"","ref":"Ory.Model.Identity.html#decode/1","title":"Ory.Model.Identity.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.Identity.html#t:t/0","title":"Ory.Model.Identity.t/0","type":"type"},{"doc":"Credentials represents a specific credential type","ref":"Ory.Model.IdentityCredentials.html","title":"Ory.Model.IdentityCredentials","type":"module"},{"doc":"","ref":"Ory.Model.IdentityCredentials.html#decode/1","title":"Ory.Model.IdentityCredentials.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.IdentityCredentials.html#t:t/0","title":"Ory.Model.IdentityCredentials.t/0","type":"type"},{"doc":"CredentialsCode represents a one time login/registration code","ref":"Ory.Model.IdentityCredentialsCode.html","title":"Ory.Model.IdentityCredentialsCode","type":"module"},{"doc":"","ref":"Ory.Model.IdentityCredentialsCode.html#decode/1","title":"Ory.Model.IdentityCredentialsCode.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.IdentityCredentialsCode.html#t:t/0","title":"Ory.Model.IdentityCredentialsCode.t/0","type":"type"},{"doc":"","ref":"Ory.Model.IdentityCredentialsCodeAddress.html","title":"Ory.Model.IdentityCredentialsCodeAddress","type":"module"},{"doc":"","ref":"Ory.Model.IdentityCredentialsCodeAddress.html#decode/1","title":"Ory.Model.IdentityCredentialsCodeAddress.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.IdentityCredentialsCodeAddress.html#t:t/0","title":"Ory.Model.IdentityCredentialsCodeAddress.t/0","type":"type"},{"doc":"","ref":"Ory.Model.IdentityCredentialsOidc.html","title":"Ory.Model.IdentityCredentialsOidc","type":"module"},{"doc":"","ref":"Ory.Model.IdentityCredentialsOidc.html#decode/1","title":"Ory.Model.IdentityCredentialsOidc.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.IdentityCredentialsOidc.html#t:t/0","title":"Ory.Model.IdentityCredentialsOidc.t/0","type":"type"},{"doc":"","ref":"Ory.Model.IdentityCredentialsOidcProvider.html","title":"Ory.Model.IdentityCredentialsOidcProvider","type":"module"},{"doc":"","ref":"Ory.Model.IdentityCredentialsOidcProvider.html#decode/1","title":"Ory.Model.IdentityCredentialsOidcProvider.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.IdentityCredentialsOidcProvider.html#t:t/0","title":"Ory.Model.IdentityCredentialsOidcProvider.t/0","type":"type"},{"doc":"","ref":"Ory.Model.IdentityCredentialsPassword.html","title":"Ory.Model.IdentityCredentialsPassword","type":"module"},{"doc":"","ref":"Ory.Model.IdentityCredentialsPassword.html#decode/1","title":"Ory.Model.IdentityCredentialsPassword.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.IdentityCredentialsPassword.html#t:t/0","title":"Ory.Model.IdentityCredentialsPassword.t/0","type":"type"},{"doc":"Payload for patching an identity","ref":"Ory.Model.IdentityPatch.html","title":"Ory.Model.IdentityPatch","type":"module"},{"doc":"","ref":"Ory.Model.IdentityPatch.html#decode/1","title":"Ory.Model.IdentityPatch.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.IdentityPatch.html#t:t/0","title":"Ory.Model.IdentityPatch.t/0","type":"type"},{"doc":"Response for a single identity patch","ref":"Ory.Model.IdentityPatchResponse.html","title":"Ory.Model.IdentityPatchResponse","type":"module"},{"doc":"","ref":"Ory.Model.IdentityPatchResponse.html#decode/1","title":"Ory.Model.IdentityPatchResponse.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.IdentityPatchResponse.html#t:t/0","title":"Ory.Model.IdentityPatchResponse.t/0","type":"type"},{"doc":"An Identity JSON Schema Container","ref":"Ory.Model.IdentitySchemaContainer.html","title":"Ory.Model.IdentitySchemaContainer","type":"module"},{"doc":"","ref":"Ory.Model.IdentitySchemaContainer.html#decode/1","title":"Ory.Model.IdentitySchemaContainer.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.IdentitySchemaContainer.html#t:t/0","title":"Ory.Model.IdentitySchemaContainer.t/0","type":"type"},{"doc":"Create Identity and Import Credentials","ref":"Ory.Model.IdentityWithCredentials.html","title":"Ory.Model.IdentityWithCredentials","type":"module"},{"doc":"","ref":"Ory.Model.IdentityWithCredentials.html#decode/1","title":"Ory.Model.IdentityWithCredentials.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.IdentityWithCredentials.html#t:t/0","title":"Ory.Model.IdentityWithCredentials.t/0","type":"type"},{"doc":"Create Identity and Import Social Sign In Credentials","ref":"Ory.Model.IdentityWithCredentialsOidc.html","title":"Ory.Model.IdentityWithCredentialsOidc","type":"module"},{"doc":"","ref":"Ory.Model.IdentityWithCredentialsOidc.html#decode/1","title":"Ory.Model.IdentityWithCredentialsOidc.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.IdentityWithCredentialsOidc.html#t:t/0","title":"Ory.Model.IdentityWithCredentialsOidc.t/0","type":"type"},{"doc":"","ref":"Ory.Model.IdentityWithCredentialsOidcConfig.html","title":"Ory.Model.IdentityWithCredentialsOidcConfig","type":"module"},{"doc":"","ref":"Ory.Model.IdentityWithCredentialsOidcConfig.html#decode/1","title":"Ory.Model.IdentityWithCredentialsOidcConfig.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.IdentityWithCredentialsOidcConfig.html#t:t/0","title":"Ory.Model.IdentityWithCredentialsOidcConfig.t/0","type":"type"},{"doc":"Create Identity and Import Social Sign In Credentials Configuration","ref":"Ory.Model.IdentityWithCredentialsOidcConfigProvider.html","title":"Ory.Model.IdentityWithCredentialsOidcConfigProvider","type":"module"},{"doc":"","ref":"Ory.Model.IdentityWithCredentialsOidcConfigProvider.html#decode/1","title":"Ory.Model.IdentityWithCredentialsOidcConfigProvider.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.IdentityWithCredentialsOidcConfigProvider.html#t:t/0","title":"Ory.Model.IdentityWithCredentialsOidcConfigProvider.t/0","type":"type"},{"doc":"Create Identity and Import Password Credentials","ref":"Ory.Model.IdentityWithCredentialsPassword.html","title":"Ory.Model.IdentityWithCredentialsPassword","type":"module"},{"doc":"","ref":"Ory.Model.IdentityWithCredentialsPassword.html#decode/1","title":"Ory.Model.IdentityWithCredentialsPassword.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.IdentityWithCredentialsPassword.html#t:t/0","title":"Ory.Model.IdentityWithCredentialsPassword.t/0","type":"type"},{"doc":"Create Identity and Import Password Credentials Configuration","ref":"Ory.Model.IdentityWithCredentialsPasswordConfig.html","title":"Ory.Model.IdentityWithCredentialsPasswordConfig","type":"module"},{"doc":"","ref":"Ory.Model.IdentityWithCredentialsPasswordConfig.html#decode/1","title":"Ory.Model.IdentityWithCredentialsPasswordConfig.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.IdentityWithCredentialsPasswordConfig.html#t:t/0","title":"Ory.Model.IdentityWithCredentialsPasswordConfig.t/0","type":"type"},{"doc":"","ref":"Ory.Model.IsAlive200Response.html","title":"Ory.Model.IsAlive200Response","type":"module"},{"doc":"","ref":"Ory.Model.IsAlive200Response.html#decode/1","title":"Ory.Model.IsAlive200Response.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.IsAlive200Response.html#t:t/0","title":"Ory.Model.IsAlive200Response.t/0","type":"type"},{"doc":"","ref":"Ory.Model.IsReady503Response.html","title":"Ory.Model.IsReady503Response","type":"module"},{"doc":"","ref":"Ory.Model.IsReady503Response.html#decode/1","title":"Ory.Model.IsReady503Response.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.IsReady503Response.html#t:t/0","title":"Ory.Model.IsReady503Response.t/0","type":"type"},{"doc":"A JSONPatch document as defined by RFC 6902","ref":"Ory.Model.JsonPatch.html","title":"Ory.Model.JsonPatch","type":"module"},{"doc":"","ref":"Ory.Model.JsonPatch.html#decode/1","title":"Ory.Model.JsonPatch.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.JsonPatch.html#t:t/0","title":"Ory.Model.JsonPatch.t/0","type":"type"},{"doc":"This object represents a login flow. A login flow is initiated at the \"Initiate Login API / Browser Flow\" endpoint by a client.  Once a login flow is completed successfully, a session cookie or session token will be issued.","ref":"Ory.Model.LoginFlow.html","title":"Ory.Model.LoginFlow","type":"module"},{"doc":"","ref":"Ory.Model.LoginFlow.html#decode/1","title":"Ory.Model.LoginFlow.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.LoginFlow.html#t:t/0","title":"Ory.Model.LoginFlow.t/0","type":"type"},{"doc":"The experimental state represents the state of a login flow. This field is EXPERIMENTAL and subject to change!","ref":"Ory.Model.LoginFlowState.html","title":"Ory.Model.LoginFlowState","type":"module"},{"doc":"","ref":"Ory.Model.LoginFlowState.html#decode/1","title":"Ory.Model.LoginFlowState.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.LoginFlowState.html#t:t/0","title":"Ory.Model.LoginFlowState.t/0","type":"type"},{"doc":"Logout Flow","ref":"Ory.Model.LogoutFlow.html","title":"Ory.Model.LogoutFlow","type":"module"},{"doc":"","ref":"Ory.Model.LogoutFlow.html#decode/1","title":"Ory.Model.LogoutFlow.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.LogoutFlow.html#t:t/0","title":"Ory.Model.LogoutFlow.t/0","type":"type"},{"doc":"","ref":"Ory.Model.Message.html","title":"Ory.Model.Message","type":"module"},{"doc":"","ref":"Ory.Model.Message.html#decode/1","title":"Ory.Model.Message.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.Message.html#t:t/0","title":"Ory.Model.Message.t/0","type":"type"},{"doc":"MessageDispatch represents an attempt of sending a courier message It contains the status of the attempt (failed or successful) and the error if any occured","ref":"Ory.Model.MessageDispatch.html","title":"Ory.Model.MessageDispatch","type":"module"},{"doc":"","ref":"Ory.Model.MessageDispatch.html#decode/1","title":"Ory.Model.MessageDispatch.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.MessageDispatch.html#t:t/0","title":"Ory.Model.MessageDispatch.t/0","type":"type"},{"doc":"","ref":"Ory.Model.NeedsPrivilegedSessionError.html","title":"Ory.Model.NeedsPrivilegedSessionError","type":"module"},{"doc":"","ref":"Ory.Model.NeedsPrivilegedSessionError.html#decode/1","title":"Ory.Model.NeedsPrivilegedSessionError.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.NeedsPrivilegedSessionError.html#t:t/0","title":"Ory.Model.NeedsPrivilegedSessionError.t/0","type":"type"},{"doc":"","ref":"Ory.Model.OAuth2Client.html","title":"Ory.Model.OAuth2Client","type":"module"},{"doc":"","ref":"Ory.Model.OAuth2Client.html#decode/1","title":"Ory.Model.OAuth2Client.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.OAuth2Client.html#t:t/0","title":"Ory.Model.OAuth2Client.t/0","type":"type"},{"doc":"OAuth2ConsentRequestOpenIDConnectContext struct for OAuth2ConsentRequestOpenIDConnectContext","ref":"Ory.Model.OAuth2ConsentRequestOpenIdConnectContext.html","title":"Ory.Model.OAuth2ConsentRequestOpenIdConnectContext","type":"module"},{"doc":"","ref":"Ory.Model.OAuth2ConsentRequestOpenIdConnectContext.html#decode/1","title":"Ory.Model.OAuth2ConsentRequestOpenIdConnectContext.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.OAuth2ConsentRequestOpenIdConnectContext.html#t:t/0","title":"Ory.Model.OAuth2ConsentRequestOpenIdConnectContext.t/0","type":"type"},{"doc":"OAuth2LoginRequest struct for OAuth2LoginRequest","ref":"Ory.Model.OAuth2LoginRequest.html","title":"Ory.Model.OAuth2LoginRequest","type":"module"},{"doc":"","ref":"Ory.Model.OAuth2LoginRequest.html#decode/1","title":"Ory.Model.OAuth2LoginRequest.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.OAuth2LoginRequest.html#t:t/0","title":"Ory.Model.OAuth2LoginRequest.t/0","type":"type"},{"doc":"Patch Identities Body","ref":"Ory.Model.PatchIdentitiesBody.html","title":"Ory.Model.PatchIdentitiesBody","type":"module"},{"doc":"","ref":"Ory.Model.PatchIdentitiesBody.html#decode/1","title":"Ory.Model.PatchIdentitiesBody.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.PatchIdentitiesBody.html#t:t/0","title":"Ory.Model.PatchIdentitiesBody.t/0","type":"type"},{"doc":"Perform Native Logout Request Body","ref":"Ory.Model.PerformNativeLogoutBody.html","title":"Ory.Model.PerformNativeLogoutBody","type":"module"},{"doc":"","ref":"Ory.Model.PerformNativeLogoutBody.html#decode/1","title":"Ory.Model.PerformNativeLogoutBody.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.PerformNativeLogoutBody.html#t:t/0","title":"Ory.Model.PerformNativeLogoutBody.t/0","type":"type"},{"doc":"","ref":"Ory.Model.Provider.html","title":"Ory.Model.Provider","type":"module"},{"doc":"","ref":"Ory.Model.Provider.html#decode/1","title":"Ory.Model.Provider.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.Provider.html#t:t/0","title":"Ory.Model.Provider.t/0","type":"type"},{"doc":"Used when an administrator creates a recovery code for an identity.","ref":"Ory.Model.RecoveryCodeForIdentity.html","title":"Ory.Model.RecoveryCodeForIdentity","type":"module"},{"doc":"","ref":"Ory.Model.RecoveryCodeForIdentity.html#decode/1","title":"Ory.Model.RecoveryCodeForIdentity.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.RecoveryCodeForIdentity.html#t:t/0","title":"Ory.Model.RecoveryCodeForIdentity.t/0","type":"type"},{"doc":"This request is used when an identity wants to recover their account.  We recommend reading the [Account Recovery Documentation](../self-service/flows/password-reset-account-recovery)","ref":"Ory.Model.RecoveryFlow.html","title":"Ory.Model.RecoveryFlow","type":"module"},{"doc":"","ref":"Ory.Model.RecoveryFlow.html#decode/1","title":"Ory.Model.RecoveryFlow.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.RecoveryFlow.html#t:t/0","title":"Ory.Model.RecoveryFlow.t/0","type":"type"},{"doc":"The experimental state represents the state of a recovery flow. This field is EXPERIMENTAL and subject to change!","ref":"Ory.Model.RecoveryFlowState.html","title":"Ory.Model.RecoveryFlowState","type":"module"},{"doc":"","ref":"Ory.Model.RecoveryFlowState.html#decode/1","title":"Ory.Model.RecoveryFlowState.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.RecoveryFlowState.html#t:t/0","title":"Ory.Model.RecoveryFlowState.t/0","type":"type"},{"doc":"","ref":"Ory.Model.RecoveryIdentityAddress.html","title":"Ory.Model.RecoveryIdentityAddress","type":"module"},{"doc":"","ref":"Ory.Model.RecoveryIdentityAddress.html#decode/1","title":"Ory.Model.RecoveryIdentityAddress.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.RecoveryIdentityAddress.html#t:t/0","title":"Ory.Model.RecoveryIdentityAddress.t/0","type":"type"},{"doc":"Used when an administrator creates a recovery link for an identity.","ref":"Ory.Model.RecoveryLinkForIdentity.html","title":"Ory.Model.RecoveryLinkForIdentity","type":"module"},{"doc":"","ref":"Ory.Model.RecoveryLinkForIdentity.html#decode/1","title":"Ory.Model.RecoveryLinkForIdentity.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.RecoveryLinkForIdentity.html#t:t/0","title":"Ory.Model.RecoveryLinkForIdentity.t/0","type":"type"},{"doc":"","ref":"Ory.Model.RegistrationFlow.html","title":"Ory.Model.RegistrationFlow","type":"module"},{"doc":"","ref":"Ory.Model.RegistrationFlow.html#decode/1","title":"Ory.Model.RegistrationFlow.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.RegistrationFlow.html#t:t/0","title":"Ory.Model.RegistrationFlow.t/0","type":"type"},{"doc":"The experimental state represents the state of a registration flow. This field is EXPERIMENTAL and subject to change!","ref":"Ory.Model.RegistrationFlowState.html","title":"Ory.Model.RegistrationFlowState","type":"module"},{"doc":"","ref":"Ory.Model.RegistrationFlowState.html#decode/1","title":"Ory.Model.RegistrationFlowState.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.RegistrationFlowState.html#t:t/0","title":"Ory.Model.RegistrationFlowState.t/0","type":"type"},{"doc":"Is sent when a flow is expired","ref":"Ory.Model.SelfServiceFlowExpiredError.html","title":"Ory.Model.SelfServiceFlowExpiredError","type":"module"},{"doc":"","ref":"Ory.Model.SelfServiceFlowExpiredError.html#decode/1","title":"Ory.Model.SelfServiceFlowExpiredError.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.SelfServiceFlowExpiredError.html#t:t/0","title":"Ory.Model.SelfServiceFlowExpiredError.t/0","type":"type"},{"doc":"A Session","ref":"Ory.Model.Session.html","title":"Ory.Model.Session","type":"module"},{"doc":"","ref":"Ory.Model.Session.html#decode/1","title":"Ory.Model.Session.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.Session.html#t:t/0","title":"Ory.Model.Session.t/0","type":"type"},{"doc":"A singular authenticator used during authentication / login.","ref":"Ory.Model.SessionAuthenticationMethod.html","title":"Ory.Model.SessionAuthenticationMethod","type":"module"},{"doc":"","ref":"Ory.Model.SessionAuthenticationMethod.html#decode/1","title":"Ory.Model.SessionAuthenticationMethod.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.SessionAuthenticationMethod.html#t:t/0","title":"Ory.Model.SessionAuthenticationMethod.t/0","type":"type"},{"doc":"Device corresponding to a Session","ref":"Ory.Model.SessionDevice.html","title":"Ory.Model.SessionDevice","type":"module"},{"doc":"","ref":"Ory.Model.SessionDevice.html#decode/1","title":"Ory.Model.SessionDevice.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.SessionDevice.html#t:t/0","title":"Ory.Model.SessionDevice.t/0","type":"type"},{"doc":"This flow is used when an identity wants to update settings (e.g. profile data, passwords, ...) in a selfservice manner.  We recommend reading the [User Settings Documentation](../self-service/flows/user-settings)","ref":"Ory.Model.SettingsFlow.html","title":"Ory.Model.SettingsFlow","type":"module"},{"doc":"","ref":"Ory.Model.SettingsFlow.html#decode/1","title":"Ory.Model.SettingsFlow.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.SettingsFlow.html#t:t/0","title":"Ory.Model.SettingsFlow.t/0","type":"type"},{"doc":"The experimental state represents the state of a settings flow. This field is EXPERIMENTAL and subject to change!","ref":"Ory.Model.SettingsFlowState.html","title":"Ory.Model.SettingsFlowState","type":"module"},{"doc":"","ref":"Ory.Model.SettingsFlowState.html#decode/1","title":"Ory.Model.SettingsFlowState.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.SettingsFlowState.html#t:t/0","title":"Ory.Model.SettingsFlowState.t/0","type":"type"},{"doc":"The Response for Registration Flows via API","ref":"Ory.Model.SuccessfulCodeExchangeResponse.html","title":"Ory.Model.SuccessfulCodeExchangeResponse","type":"module"},{"doc":"","ref":"Ory.Model.SuccessfulCodeExchangeResponse.html#decode/1","title":"Ory.Model.SuccessfulCodeExchangeResponse.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.SuccessfulCodeExchangeResponse.html#t:t/0","title":"Ory.Model.SuccessfulCodeExchangeResponse.t/0","type":"type"},{"doc":"The Response for Login Flows via API","ref":"Ory.Model.SuccessfulNativeLogin.html","title":"Ory.Model.SuccessfulNativeLogin","type":"module"},{"doc":"","ref":"Ory.Model.SuccessfulNativeLogin.html#decode/1","title":"Ory.Model.SuccessfulNativeLogin.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.SuccessfulNativeLogin.html#t:t/0","title":"Ory.Model.SuccessfulNativeLogin.t/0","type":"type"},{"doc":"The Response for Registration Flows via API","ref":"Ory.Model.SuccessfulNativeRegistration.html","title":"Ory.Model.SuccessfulNativeRegistration","type":"module"},{"doc":"","ref":"Ory.Model.SuccessfulNativeRegistration.html#decode/1","title":"Ory.Model.SuccessfulNativeRegistration.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.SuccessfulNativeRegistration.html#t:t/0","title":"Ory.Model.SuccessfulNativeRegistration.t/0","type":"type"},{"doc":"","ref":"Ory.Model.TokenPagination.html","title":"Ory.Model.TokenPagination","type":"module"},{"doc":"","ref":"Ory.Model.TokenPagination.html#decode/1","title":"Ory.Model.TokenPagination.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.TokenPagination.html#t:t/0","title":"Ory.Model.TokenPagination.t/0","type":"type"},{"doc":"","ref":"Ory.Model.TokenPaginationHeaders.html","title":"Ory.Model.TokenPaginationHeaders","type":"module"},{"doc":"","ref":"Ory.Model.TokenPaginationHeaders.html#decode/1","title":"Ory.Model.TokenPaginationHeaders.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.TokenPaginationHeaders.html#t:t/0","title":"Ory.Model.TokenPaginationHeaders.t/0","type":"type"},{"doc":"Container represents a HTML Form. The container can work with both HTTP Form and JSON requests","ref":"Ory.Model.UiContainer.html","title":"Ory.Model.UiContainer","type":"module"},{"doc":"","ref":"Ory.Model.UiContainer.html#decode/1","title":"Ory.Model.UiContainer.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UiContainer.html#t:t/0","title":"Ory.Model.UiContainer.t/0","type":"type"},{"doc":"Nodes are represented as HTML elements or their native UI equivalents. For example, a node can be an ` ` tag, or an ` ` but also `some plain text`.","ref":"Ory.Model.UiNode.html","title":"Ory.Model.UiNode","type":"module"},{"doc":"","ref":"Ory.Model.UiNode.html#decode/1","title":"Ory.Model.UiNode.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UiNode.html#t:t/0","title":"Ory.Model.UiNode.t/0","type":"type"},{"doc":"","ref":"Ory.Model.UiNodeAnchorAttributes.html","title":"Ory.Model.UiNodeAnchorAttributes","type":"module"},{"doc":"","ref":"Ory.Model.UiNodeAnchorAttributes.html#decode/1","title":"Ory.Model.UiNodeAnchorAttributes.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UiNodeAnchorAttributes.html#t:t/0","title":"Ory.Model.UiNodeAnchorAttributes.t/0","type":"type"},{"doc":"","ref":"Ory.Model.UiNodeAttributes.html","title":"Ory.Model.UiNodeAttributes","type":"module"},{"doc":"","ref":"Ory.Model.UiNodeAttributes.html#decode/1","title":"Ory.Model.UiNodeAttributes.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UiNodeAttributes.html#t:t/0","title":"Ory.Model.UiNodeAttributes.t/0","type":"type"},{"doc":"","ref":"Ory.Model.UiNodeImageAttributes.html","title":"Ory.Model.UiNodeImageAttributes","type":"module"},{"doc":"","ref":"Ory.Model.UiNodeImageAttributes.html#decode/1","title":"Ory.Model.UiNodeImageAttributes.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UiNodeImageAttributes.html#t:t/0","title":"Ory.Model.UiNodeImageAttributes.t/0","type":"type"},{"doc":"InputAttributes represents the attributes of an input node","ref":"Ory.Model.UiNodeInputAttributes.html","title":"Ory.Model.UiNodeInputAttributes","type":"module"},{"doc":"","ref":"Ory.Model.UiNodeInputAttributes.html#decode/1","title":"Ory.Model.UiNodeInputAttributes.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UiNodeInputAttributes.html#t:t/0","title":"Ory.Model.UiNodeInputAttributes.t/0","type":"type"},{"doc":"This might include a label and other information that can optionally be used to render UIs.","ref":"Ory.Model.UiNodeMeta.html","title":"Ory.Model.UiNodeMeta","type":"module"},{"doc":"","ref":"Ory.Model.UiNodeMeta.html#decode/1","title":"Ory.Model.UiNodeMeta.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UiNodeMeta.html#t:t/0","title":"Ory.Model.UiNodeMeta.t/0","type":"type"},{"doc":"","ref":"Ory.Model.UiNodeScriptAttributes.html","title":"Ory.Model.UiNodeScriptAttributes","type":"module"},{"doc":"","ref":"Ory.Model.UiNodeScriptAttributes.html#decode/1","title":"Ory.Model.UiNodeScriptAttributes.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UiNodeScriptAttributes.html#t:t/0","title":"Ory.Model.UiNodeScriptAttributes.t/0","type":"type"},{"doc":"","ref":"Ory.Model.UiNodeTextAttributes.html","title":"Ory.Model.UiNodeTextAttributes","type":"module"},{"doc":"","ref":"Ory.Model.UiNodeTextAttributes.html#decode/1","title":"Ory.Model.UiNodeTextAttributes.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UiNodeTextAttributes.html#t:t/0","title":"Ory.Model.UiNodeTextAttributes.t/0","type":"type"},{"doc":"","ref":"Ory.Model.UiText.html","title":"Ory.Model.UiText","type":"module"},{"doc":"","ref":"Ory.Model.UiText.html#decode/1","title":"Ory.Model.UiText.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UiText.html#t:t/0","title":"Ory.Model.UiText.t/0","type":"type"},{"doc":"","ref":"Ory.Model.UpdateFedcmFlowBody.html","title":"Ory.Model.UpdateFedcmFlowBody","type":"module"},{"doc":"","ref":"Ory.Model.UpdateFedcmFlowBody.html#decode/1","title":"Ory.Model.UpdateFedcmFlowBody.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateFedcmFlowBody.html#t:t/0","title":"Ory.Model.UpdateFedcmFlowBody.t/0","type":"type"},{"doc":"Update Identity Body","ref":"Ory.Model.UpdateIdentityBody.html","title":"Ory.Model.UpdateIdentityBody","type":"module"},{"doc":"","ref":"Ory.Model.UpdateIdentityBody.html#decode/1","title":"Ory.Model.UpdateIdentityBody.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateIdentityBody.html#t:t/0","title":"Ory.Model.UpdateIdentityBody.t/0","type":"type"},{"doc":"","ref":"Ory.Model.UpdateLoginFlowBody.html","title":"Ory.Model.UpdateLoginFlowBody","type":"module"},{"doc":"","ref":"Ory.Model.UpdateLoginFlowBody.html#decode/1","title":"Ory.Model.UpdateLoginFlowBody.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateLoginFlowBody.html#t:t/0","title":"Ory.Model.UpdateLoginFlowBody.t/0","type":"type"},{"doc":"Update Login flow using the code method","ref":"Ory.Model.UpdateLoginFlowWithCodeMethod.html","title":"Ory.Model.UpdateLoginFlowWithCodeMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateLoginFlowWithCodeMethod.html#decode/1","title":"Ory.Model.UpdateLoginFlowWithCodeMethod.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateLoginFlowWithCodeMethod.html#t:t/0","title":"Ory.Model.UpdateLoginFlowWithCodeMethod.t/0","type":"type"},{"doc":"Update Login Flow with Multi-Step Method","ref":"Ory.Model.UpdateLoginFlowWithIdentifierFirstMethod.html","title":"Ory.Model.UpdateLoginFlowWithIdentifierFirstMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateLoginFlowWithIdentifierFirstMethod.html#decode/1","title":"Ory.Model.UpdateLoginFlowWithIdentifierFirstMethod.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateLoginFlowWithIdentifierFirstMethod.html#t:t/0","title":"Ory.Model.UpdateLoginFlowWithIdentifierFirstMethod.t/0","type":"type"},{"doc":"Update Login Flow with Lookup Secret Method","ref":"Ory.Model.UpdateLoginFlowWithLookupSecretMethod.html","title":"Ory.Model.UpdateLoginFlowWithLookupSecretMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateLoginFlowWithLookupSecretMethod.html#decode/1","title":"Ory.Model.UpdateLoginFlowWithLookupSecretMethod.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateLoginFlowWithLookupSecretMethod.html#t:t/0","title":"Ory.Model.UpdateLoginFlowWithLookupSecretMethod.t/0","type":"type"},{"doc":"Update Login Flow with OpenID Connect Method","ref":"Ory.Model.UpdateLoginFlowWithOidcMethod.html","title":"Ory.Model.UpdateLoginFlowWithOidcMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateLoginFlowWithOidcMethod.html#decode/1","title":"Ory.Model.UpdateLoginFlowWithOidcMethod.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateLoginFlowWithOidcMethod.html#t:t/0","title":"Ory.Model.UpdateLoginFlowWithOidcMethod.t/0","type":"type"},{"doc":"Update Login Flow with Passkey Method","ref":"Ory.Model.UpdateLoginFlowWithPasskeyMethod.html","title":"Ory.Model.UpdateLoginFlowWithPasskeyMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateLoginFlowWithPasskeyMethod.html#decode/1","title":"Ory.Model.UpdateLoginFlowWithPasskeyMethod.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateLoginFlowWithPasskeyMethod.html#t:t/0","title":"Ory.Model.UpdateLoginFlowWithPasskeyMethod.t/0","type":"type"},{"doc":"Update Login Flow with Password Method","ref":"Ory.Model.UpdateLoginFlowWithPasswordMethod.html","title":"Ory.Model.UpdateLoginFlowWithPasswordMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateLoginFlowWithPasswordMethod.html#decode/1","title":"Ory.Model.UpdateLoginFlowWithPasswordMethod.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateLoginFlowWithPasswordMethod.html#t:t/0","title":"Ory.Model.UpdateLoginFlowWithPasswordMethod.t/0","type":"type"},{"doc":"Update Login Flow with TOTP Method","ref":"Ory.Model.UpdateLoginFlowWithTotpMethod.html","title":"Ory.Model.UpdateLoginFlowWithTotpMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateLoginFlowWithTotpMethod.html#decode/1","title":"Ory.Model.UpdateLoginFlowWithTotpMethod.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateLoginFlowWithTotpMethod.html#t:t/0","title":"Ory.Model.UpdateLoginFlowWithTotpMethod.t/0","type":"type"},{"doc":"Update Login Flow with WebAuthn Method","ref":"Ory.Model.UpdateLoginFlowWithWebAuthnMethod.html","title":"Ory.Model.UpdateLoginFlowWithWebAuthnMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateLoginFlowWithWebAuthnMethod.html#decode/1","title":"Ory.Model.UpdateLoginFlowWithWebAuthnMethod.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateLoginFlowWithWebAuthnMethod.html#t:t/0","title":"Ory.Model.UpdateLoginFlowWithWebAuthnMethod.t/0","type":"type"},{"doc":"Update Recovery Flow Request Body","ref":"Ory.Model.UpdateRecoveryFlowBody.html","title":"Ory.Model.UpdateRecoveryFlowBody","type":"module"},{"doc":"","ref":"Ory.Model.UpdateRecoveryFlowBody.html#decode/1","title":"Ory.Model.UpdateRecoveryFlowBody.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateRecoveryFlowBody.html#t:t/0","title":"Ory.Model.UpdateRecoveryFlowBody.t/0","type":"type"},{"doc":"Update Recovery Flow with Code Method","ref":"Ory.Model.UpdateRecoveryFlowWithCodeMethod.html","title":"Ory.Model.UpdateRecoveryFlowWithCodeMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateRecoveryFlowWithCodeMethod.html#decode/1","title":"Ory.Model.UpdateRecoveryFlowWithCodeMethod.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateRecoveryFlowWithCodeMethod.html#t:t/0","title":"Ory.Model.UpdateRecoveryFlowWithCodeMethod.t/0","type":"type"},{"doc":"Update Recovery Flow with Link Method","ref":"Ory.Model.UpdateRecoveryFlowWithLinkMethod.html","title":"Ory.Model.UpdateRecoveryFlowWithLinkMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateRecoveryFlowWithLinkMethod.html#decode/1","title":"Ory.Model.UpdateRecoveryFlowWithLinkMethod.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateRecoveryFlowWithLinkMethod.html#t:t/0","title":"Ory.Model.UpdateRecoveryFlowWithLinkMethod.t/0","type":"type"},{"doc":"Update Registration Request Body","ref":"Ory.Model.UpdateRegistrationFlowBody.html","title":"Ory.Model.UpdateRegistrationFlowBody","type":"module"},{"doc":"","ref":"Ory.Model.UpdateRegistrationFlowBody.html#decode/1","title":"Ory.Model.UpdateRegistrationFlowBody.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateRegistrationFlowBody.html#t:t/0","title":"Ory.Model.UpdateRegistrationFlowBody.t/0","type":"type"},{"doc":"Update Registration Flow with Code Method","ref":"Ory.Model.UpdateRegistrationFlowWithCodeMethod.html","title":"Ory.Model.UpdateRegistrationFlowWithCodeMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateRegistrationFlowWithCodeMethod.html#decode/1","title":"Ory.Model.UpdateRegistrationFlowWithCodeMethod.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateRegistrationFlowWithCodeMethod.html#t:t/0","title":"Ory.Model.UpdateRegistrationFlowWithCodeMethod.t/0","type":"type"},{"doc":"Update Registration Flow with OpenID Connect Method","ref":"Ory.Model.UpdateRegistrationFlowWithOidcMethod.html","title":"Ory.Model.UpdateRegistrationFlowWithOidcMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateRegistrationFlowWithOidcMethod.html#decode/1","title":"Ory.Model.UpdateRegistrationFlowWithOidcMethod.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateRegistrationFlowWithOidcMethod.html#t:t/0","title":"Ory.Model.UpdateRegistrationFlowWithOidcMethod.t/0","type":"type"},{"doc":"Update Registration Flow with Passkey Method","ref":"Ory.Model.UpdateRegistrationFlowWithPasskeyMethod.html","title":"Ory.Model.UpdateRegistrationFlowWithPasskeyMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateRegistrationFlowWithPasskeyMethod.html#decode/1","title":"Ory.Model.UpdateRegistrationFlowWithPasskeyMethod.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateRegistrationFlowWithPasskeyMethod.html#t:t/0","title":"Ory.Model.UpdateRegistrationFlowWithPasskeyMethod.t/0","type":"type"},{"doc":"Update Registration Flow with Password Method","ref":"Ory.Model.UpdateRegistrationFlowWithPasswordMethod.html","title":"Ory.Model.UpdateRegistrationFlowWithPasswordMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateRegistrationFlowWithPasswordMethod.html#decode/1","title":"Ory.Model.UpdateRegistrationFlowWithPasswordMethod.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateRegistrationFlowWithPasswordMethod.html#t:t/0","title":"Ory.Model.UpdateRegistrationFlowWithPasswordMethod.t/0","type":"type"},{"doc":"Update Registration Flow with Profile Method","ref":"Ory.Model.UpdateRegistrationFlowWithProfileMethod.html","title":"Ory.Model.UpdateRegistrationFlowWithProfileMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateRegistrationFlowWithProfileMethod.html#decode/1","title":"Ory.Model.UpdateRegistrationFlowWithProfileMethod.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateRegistrationFlowWithProfileMethod.html#t:t/0","title":"Ory.Model.UpdateRegistrationFlowWithProfileMethod.t/0","type":"type"},{"doc":"Update Registration Flow with WebAuthn Method","ref":"Ory.Model.UpdateRegistrationFlowWithWebAuthnMethod.html","title":"Ory.Model.UpdateRegistrationFlowWithWebAuthnMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateRegistrationFlowWithWebAuthnMethod.html#decode/1","title":"Ory.Model.UpdateRegistrationFlowWithWebAuthnMethod.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateRegistrationFlowWithWebAuthnMethod.html#t:t/0","title":"Ory.Model.UpdateRegistrationFlowWithWebAuthnMethod.t/0","type":"type"},{"doc":"Update Settings Flow Request Body","ref":"Ory.Model.UpdateSettingsFlowBody.html","title":"Ory.Model.UpdateSettingsFlowBody","type":"module"},{"doc":"","ref":"Ory.Model.UpdateSettingsFlowBody.html#decode/1","title":"Ory.Model.UpdateSettingsFlowBody.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateSettingsFlowBody.html#t:t/0","title":"Ory.Model.UpdateSettingsFlowBody.t/0","type":"type"},{"doc":"Update Settings Flow with Lookup Method","ref":"Ory.Model.UpdateSettingsFlowWithLookupMethod.html","title":"Ory.Model.UpdateSettingsFlowWithLookupMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateSettingsFlowWithLookupMethod.html#decode/1","title":"Ory.Model.UpdateSettingsFlowWithLookupMethod.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateSettingsFlowWithLookupMethod.html#t:t/0","title":"Ory.Model.UpdateSettingsFlowWithLookupMethod.t/0","type":"type"},{"doc":"Update Settings Flow with OpenID Connect Method","ref":"Ory.Model.UpdateSettingsFlowWithOidcMethod.html","title":"Ory.Model.UpdateSettingsFlowWithOidcMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateSettingsFlowWithOidcMethod.html#decode/1","title":"Ory.Model.UpdateSettingsFlowWithOidcMethod.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateSettingsFlowWithOidcMethod.html#t:t/0","title":"Ory.Model.UpdateSettingsFlowWithOidcMethod.t/0","type":"type"},{"doc":"Update Settings Flow with Passkey Method","ref":"Ory.Model.UpdateSettingsFlowWithPasskeyMethod.html","title":"Ory.Model.UpdateSettingsFlowWithPasskeyMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateSettingsFlowWithPasskeyMethod.html#decode/1","title":"Ory.Model.UpdateSettingsFlowWithPasskeyMethod.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateSettingsFlowWithPasskeyMethod.html#t:t/0","title":"Ory.Model.UpdateSettingsFlowWithPasskeyMethod.t/0","type":"type"},{"doc":"Update Settings Flow with Password Method","ref":"Ory.Model.UpdateSettingsFlowWithPasswordMethod.html","title":"Ory.Model.UpdateSettingsFlowWithPasswordMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateSettingsFlowWithPasswordMethod.html#decode/1","title":"Ory.Model.UpdateSettingsFlowWithPasswordMethod.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateSettingsFlowWithPasswordMethod.html#t:t/0","title":"Ory.Model.UpdateSettingsFlowWithPasswordMethod.t/0","type":"type"},{"doc":"Update Settings Flow with Profile Method","ref":"Ory.Model.UpdateSettingsFlowWithProfileMethod.html","title":"Ory.Model.UpdateSettingsFlowWithProfileMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateSettingsFlowWithProfileMethod.html#decode/1","title":"Ory.Model.UpdateSettingsFlowWithProfileMethod.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateSettingsFlowWithProfileMethod.html#t:t/0","title":"Ory.Model.UpdateSettingsFlowWithProfileMethod.t/0","type":"type"},{"doc":"Update Settings Flow with TOTP Method","ref":"Ory.Model.UpdateSettingsFlowWithTotpMethod.html","title":"Ory.Model.UpdateSettingsFlowWithTotpMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateSettingsFlowWithTotpMethod.html#decode/1","title":"Ory.Model.UpdateSettingsFlowWithTotpMethod.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateSettingsFlowWithTotpMethod.html#t:t/0","title":"Ory.Model.UpdateSettingsFlowWithTotpMethod.t/0","type":"type"},{"doc":"Update Settings Flow with WebAuthn Method","ref":"Ory.Model.UpdateSettingsFlowWithWebAuthnMethod.html","title":"Ory.Model.UpdateSettingsFlowWithWebAuthnMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateSettingsFlowWithWebAuthnMethod.html#decode/1","title":"Ory.Model.UpdateSettingsFlowWithWebAuthnMethod.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateSettingsFlowWithWebAuthnMethod.html#t:t/0","title":"Ory.Model.UpdateSettingsFlowWithWebAuthnMethod.t/0","type":"type"},{"doc":"Update Verification Flow Request Body","ref":"Ory.Model.UpdateVerificationFlowBody.html","title":"Ory.Model.UpdateVerificationFlowBody","type":"module"},{"doc":"","ref":"Ory.Model.UpdateVerificationFlowBody.html#decode/1","title":"Ory.Model.UpdateVerificationFlowBody.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateVerificationFlowBody.html#t:t/0","title":"Ory.Model.UpdateVerificationFlowBody.t/0","type":"type"},{"doc":"","ref":"Ory.Model.UpdateVerificationFlowWithCodeMethod.html","title":"Ory.Model.UpdateVerificationFlowWithCodeMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateVerificationFlowWithCodeMethod.html#decode/1","title":"Ory.Model.UpdateVerificationFlowWithCodeMethod.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateVerificationFlowWithCodeMethod.html#t:t/0","title":"Ory.Model.UpdateVerificationFlowWithCodeMethod.t/0","type":"type"},{"doc":"Update Verification Flow with Link Method","ref":"Ory.Model.UpdateVerificationFlowWithLinkMethod.html","title":"Ory.Model.UpdateVerificationFlowWithLinkMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateVerificationFlowWithLinkMethod.html#decode/1","title":"Ory.Model.UpdateVerificationFlowWithLinkMethod.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.UpdateVerificationFlowWithLinkMethod.html#t:t/0","title":"Ory.Model.UpdateVerificationFlowWithLinkMethod.t/0","type":"type"},{"doc":"VerifiableAddress is an identity's verifiable address","ref":"Ory.Model.VerifiableIdentityAddress.html","title":"Ory.Model.VerifiableIdentityAddress","type":"module"},{"doc":"","ref":"Ory.Model.VerifiableIdentityAddress.html#decode/1","title":"Ory.Model.VerifiableIdentityAddress.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.VerifiableIdentityAddress.html#t:t/0","title":"Ory.Model.VerifiableIdentityAddress.t/0","type":"type"},{"doc":"Used to verify an out-of-band communication channel such as an email address or a phone number.  For more information head over to: https://www.ory.sh/docs/kratos/self-service/flows/verify-email-account-activation","ref":"Ory.Model.VerificationFlow.html","title":"Ory.Model.VerificationFlow","type":"module"},{"doc":"","ref":"Ory.Model.VerificationFlow.html#decode/1","title":"Ory.Model.VerificationFlow.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.VerificationFlow.html#t:t/0","title":"Ory.Model.VerificationFlow.t/0","type":"type"},{"doc":"The experimental state represents the state of a verification flow. This field is EXPERIMENTAL and subject to change!","ref":"Ory.Model.VerificationFlowState.html","title":"Ory.Model.VerificationFlowState","type":"module"},{"doc":"","ref":"Ory.Model.VerificationFlowState.html#decode/1","title":"Ory.Model.VerificationFlowState.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.VerificationFlowState.html#t:t/0","title":"Ory.Model.VerificationFlowState.t/0","type":"type"},{"doc":"","ref":"Ory.Model.Version.html","title":"Ory.Model.Version","type":"module"},{"doc":"","ref":"Ory.Model.Version.html#decode/1","title":"Ory.Model.Version.decode/1","type":"function"},{"doc":"","ref":"Ory.Model.Version.html#t:t/0","title":"Ory.Model.Version.t/0","type":"type"},{"doc":"Helper functions for building Tesla requests","ref":"Ory.RequestBuilder.html","title":"Ory.RequestBuilder","type":"module"},{"doc":"Add optional parameters to the request.","ref":"Ory.RequestBuilder.html#add_optional_params/3","title":"Ory.RequestBuilder.add_optional_params/3","type":"function"},{"doc":"- `request` (Map) - Collected request options\n- `definitions` (Map) - Map of parameter name to parameter location.\n- `options` (KeywordList) - The provided optional parameters","ref":"Ory.RequestBuilder.html#add_optional_params/3-parameters","title":"Parameters - Ory.RequestBuilder.add_optional_params/3","type":"function"},{"doc":"Map","ref":"Ory.RequestBuilder.html#add_optional_params/3-returns","title":"Returns - Ory.RequestBuilder.add_optional_params/3","type":"function"},{"doc":"Add non-optional parameters to the request.","ref":"Ory.RequestBuilder.html#add_param/4","title":"Ory.RequestBuilder.add_param/4","type":"function"},{"doc":"- `request` (Map) - Collected request options\n- `location` (atom) - Where to put the parameter\n- `key` (atom) - The name of the parameter\n- `value` (any) - The value of the parameter","ref":"Ory.RequestBuilder.html#add_param/4-parameters","title":"Parameters - Ory.RequestBuilder.add_param/4","type":"function"},{"doc":"Map","ref":"Ory.RequestBuilder.html#add_param/4-returns","title":"Returns - Ory.RequestBuilder.add_param/4","type":"function"},{"doc":"This function ensures that the `body` parameter is always set.\n\nWhen using Tesla with the `httpc` adapter (the default adapter), there is a\nbug where POST, PATCH and PUT requests will fail if the body is empty.","ref":"Ory.RequestBuilder.html#ensure_body/1","title":"Ory.RequestBuilder.ensure_body/1","type":"function"},{"doc":"- `request` (Map) - Collected request options","ref":"Ory.RequestBuilder.html#ensure_body/1-parameters","title":"Parameters - Ory.RequestBuilder.ensure_body/1","type":"function"},{"doc":"Map","ref":"Ory.RequestBuilder.html#ensure_body/1-returns","title":"Returns - Ory.RequestBuilder.ensure_body/1","type":"function"},{"doc":"Evaluate the response from a Tesla request.\nDecode the response for a Tesla request.","ref":"Ory.RequestBuilder.html#evaluate_response/2","title":"Ory.RequestBuilder.evaluate_response/2","type":"function"},{"doc":"- `result` (Tesla.Env.result()): The response from Tesla.request/2.\n- `mapping` ([{http_status, struct}]): The mapping for status to struct for decoding.","ref":"Ory.RequestBuilder.html#evaluate_response/2-parameters","title":"Parameters - Ory.RequestBuilder.evaluate_response/2","type":"function"},{"doc":"- `{:ok, struct}` or `{:ok, Tesla.Env.t()}` on success\n- `{:error, term}` on failure","ref":"Ory.RequestBuilder.html#evaluate_response/2-returns","title":"Returns - Ory.RequestBuilder.evaluate_response/2","type":"function"},{"doc":"Specify the request `method` when building a request.\n\nDoes not override the `method` if one has already been specified.","ref":"Ory.RequestBuilder.html#method/2","title":"Ory.RequestBuilder.method/2","type":"function"},{"doc":"- `request` (Map) - Collected request options\n- `method` (atom) - Request method","ref":"Ory.RequestBuilder.html#method/2-parameters","title":"Parameters - Ory.RequestBuilder.method/2","type":"function"},{"doc":"Map","ref":"Ory.RequestBuilder.html#method/2-returns","title":"Returns - Ory.RequestBuilder.method/2","type":"function"},{"doc":"","ref":"Ory.RequestBuilder.html#t:response_mapping/0","title":"Ory.RequestBuilder.response_mapping/0","type":"type"},{"doc":"","ref":"Ory.RequestBuilder.html#t:status_code/0","title":"Ory.RequestBuilder.status_code/0","type":"type"},{"doc":"Specify the request URL when building a request.\n\nDoes not override the `url` if one has already been specified.","ref":"Ory.RequestBuilder.html#url/2","title":"Ory.RequestBuilder.url/2","type":"function"},{"doc":"- `request` (Map) - Collected request options\n- `url` (String) - Request URL","ref":"Ory.RequestBuilder.html#url/2-parameters","title":"Parameters - Ory.RequestBuilder.url/2","type":"function"},{"doc":"Map","ref":"Ory.RequestBuilder.html#url/2-returns","title":"Returns - Ory.RequestBuilder.url/2","type":"function"}],"producer":{"name":"ex_doc","version":"0.37.2"},"proglang":"elixir"}